<?php

// Digital Shop version 3.0.4
// Copyright (C) 2008-2014 JF Nutbroek <jfnutbroek@gmail.com>
// See the included End User License Agreement (EULA)

session_start();

require_once('inc/configuration.php');
require_once('inc/css.php');
require_once('inc/languages.php');

// Home directory
$homedir = str_replace(chr(92),chr(47),getcwd());

if (isset($_REQUEST['message'])) {
	$message=basename($_REQUEST['message']);
	if (strpos($message,"\0") === true) {
		$message=str_replace("\0","",$message);
	}
} else {
	$message='disclaimer';
}
$extension='english';
if (isset($_SESSION['language'])) {
  if (file_exists($homedir."/shopinfo/".$message."_".strtolower($_SESSION['language']).".txt")) {
	$extension=strtolower($_SESSION['language']);
  } else {
	$message='disclaimer';
  }
}

// Connect to database
$conn=mysql_connect($host,$user,$password) or die ('Error connecting to MySQL database. <br /> Please verify your configuration.');
if ($database=='') {mysql_select_db('digitalshop');} else {mysql_select_db($database);}

// Insert the page header 
require_once('inc/pagehead.php');

// Main content
// ******************

// Insert the message
echo "<table class=\"contenttable\" style=\"width : 100%;\"><tr><td>&nbsp;</td></tr><tr><td>\n";
if ($fp=fopen($homedir . "/shopinfo/".$message."_".$extension.".txt",'r+')) {
	$disclaimer=fread($fp,filesize($homedir."/shopinfo/".$message."_".$extension.".txt"));
	fclose($fp);
	$disclaimer=str_replace('[businessemail]',$shopcontact,$disclaimer);
        $disclaimer=str_replace('[shopname]',$shopname,$disclaimer);
	$disclaimer=str_replace('[location]',$location,$disclaimer);
	if ($moneybookers && !$paypal)
		$disclaimer=str_replace('PayPal','MoneyBookers',$disclaimer);
	if ($moneybookers && $paypal)
		$disclaimer=str_replace('PayPal','PayPal ' . $lang_140 . ' MoneyBookers',$disclaimer);
	echo "<div style=\"text-align : center;\"><table style=\"width : 95%;margin-left: auto;margin-right: auto;\"><tr><td style=\"text-align : left;\">\n";
	echo nl2br(stripslashes($disclaimer));
	echo "</td></tr></table></div>\n";
} else {
	echo "$lang_44 $shopcontact";
}
echo "</td></tr></table>\n";

if ($iframe && $message == 'home')
	require_once('inc/countries.php');

// Return button
if ($_SESSION['validlogin'] && $_REQUEST['message']!='home' && $_REQUEST['message']!='disclaimer' && $_REQUEST['message']!='faq') {
  echo "<table style=\"width : 100%;\"><tr><td>&nbsp;</td></tr><tr><td><input type=\"button\" value=\"$lang_12\" class=\"button\" onclick=\"location.href=('digitaladmin.php?requirelogin=1');\" onmouseover=\"this.style.cursor='pointer'\" /></td></tr></table>\n";
} else if ($_REQUEST['message']=='home' || $_REQUEST['message']=='disclaimer' || $_REQUEST['message']=='faq') {
  echo "<table style=\"width : 100%;\"><tr><td>&nbsp;</td></tr><tr><td><input type=\"button\" value=\"$lang_38\" class=\"button\" onclick=\"location.href=('digitalshop.php?start=0&amp;category=0');\" onmouseover=\"this.style.cursor='pointer'\" /></td></tr></table>\n";
} else {
  echo "<table style=\"width : 100%;\"><tr><td>&nbsp;</td></tr><tr><td><input type=\"button\" value=\"$lang_27\" class=\"button\" onclick=\"location.href=('digitalshop.php?start=0&amp;category=0');\" onmouseover=\"this.style.cursor='pointer'\" /></td></tr></table>\n";
}

// ******************
// End main content

// Insert the page footer
require_once('inc/footer.php');

?>
