<?php

// Digital Shop version 3.0.4
// Copyright (C) 2008-2014 JF Nutbroek <jfnutbroek@gmail.com>
// See the included End User License Agreement (EULA)

session_start();

if (isset($_REQUEST['captchaimage'])) {createcaptcha();exit;}

require_once('inc/configuration.php');
require_once('inc/css.php');
require_once('inc/languages.php');     

if (isset($_REQUEST['exit'])) {
        $url=$_SESSION['exit'];
        session_unset();
	session_destroy();
        header("Location: " . $url); 
	exit;
}
if (!$shop_infotext && isset($_REQUEST['fileinfo']) && isset($_REQUEST['filesize']) && isset($_REQUEST['filetype'])) {
        if ($box) {softwarebox($_REQUEST['fileinfo'],$_REQUEST['filesize'],$_REQUEST['filetype']);} else {filenote($_REQUEST['fileinfo'],$_REQUEST['filesize'],$_REQUEST['filetype']);}
        exit;
}
if (!$shop_infotext && isset($_REQUEST['pricetag'])) {pricetag($_REQUEST['pricetag']);exit;}

// Connect to database
$conn=mysql_connect($host,$user,$password) or die ('Error connecting to MySQL database. <br /> Please verify your configuration.');
if ($database=='') {mysql_select_db('digitalshop');} else {mysql_select_db($database);}

// Is access blocked/banned?
$ip=$_SERVER['REMOTE_ADDR'];
$query="SELECT * FROM digitalshopaccess WHERE ip = '$ip' AND expire = '2147483647'";
$result=mysql_query($query);
if ($result && mysql_num_rows($result)) {
	// IP address is blocked
	header("HTTP/1.0 404 Not Found");
	exit;
}

// Check if an affiliate ID is used
if (isset($_REQUEST['aid']) && !isset($_SESSION['digitalshopaid']) && !isset($_COOKIE['digitalshopaid'])) {
	$aid=mysql_real_escape_string(str_replace('A','',$_REQUEST['aid']));
	$query="SELECT aid, hits FROM digitalshopaffiliate WHERE aid = '$aid'";
	$result=mysql_query($query);
	if ($result && mysql_num_rows($result)) {
		$row=mysql_fetch_array($result);
		$hits=$row[hits]+1;
		$aid=$row[aid];
		$query="UPDATE digitalshopaffiliate SET hits = '$hits' WHERE aid = '$aid'";
		if (mysql_query($query)) {
			$_SESSION['digitalshopaid']=$aid;
			if (!isset($_COOKIE['digitalshopaid']) && empty($_COOKIE['digitalshopaid']))
				setcookie('digitalshopaid',$aid,time()+3600*24*$cookie_days); 
			if (isset($_SESSION['aid']))
				$_SESSION['aid'][2]=$_SESSION['aid'][2]+1;
		}
	}
}

// Direct link to specific product
if (isset($_REQUEST['p'])) {
	$link1=mysql_real_escape_string(str_replace('_',' ',$_REQUEST['p']));
	$link2=mysql_real_escape_string($_REQUEST['p']);
	if (is_numeric($link2))
		$query="SELECT id, name, title FROM digitalshop WHERE id = '$link2' OR title = '$link2' OR name = '$link2'";
	else
		$query="SELECT id, name, title FROM digitalshop WHERE name LIKE '%$link1%' OR title LIKE '%$link1%' OR name LIKE '%$link2%' OR title LIKE '%$link2%'";
        $result=mysql_query($query);
        if ($result && mysql_num_rows($result)) {
		$row=mysql_fetch_array($result);
		$_REQUEST['productdetails']=$row[id];
	}
}

// Add a vote
$allowedtovote=true;
if (isset($_REQUEST['vote']) && isset($_REQUEST['rating']) && $allowrating) {
	$id=intval($_REQUEST['vote']);
	$rating=intval($_REQUEST['rating']);
	$ip=$_SERVER['REMOTE_ADDR'];
	$query="SELECT * FROM digitalshoprating WHERE ip LIKE '%$ip%' AND prodid LIKE '%$id%'";
        $result=mysql_query($query);
        if ($result && !mysql_num_rows($result)) {
		$query="INSERT INTO digitalshoprating (prodid, vote, ip) VALUES ('$id', '$rating', '$ip')";
		mysql_query($query);
		$allowedtovote=false;
	} else {
		$allowedtovote=false;
	}
}

// Send the contact email
$contact_msg='';$captchaerror='';
if (isset($_REQUEST['contact']) && $show_contactform && isset($_REQUEST['contact_captcha'])) {
	$captchauser=strtolower($_REQUEST['contact_captcha']);
	$captchacode=$_SESSION['contactcaptchacode'];
	if ($captchauser==$captchacode) {
		if ($_REQUEST['contact']==2) {
			$contactemail=$_REQUEST['contact_email'];
			$subject=$_REQUEST['contact_subject'];
			$contact_message='Email from: '.$_REQUEST['contact_name'] . ', ' . $contactemail. "<br /><br />" . 'Message:' . "<br /><br />" . strip_tags($_REQUEST['contact_message']);
			$mailto=$shopcontact;	
			if (!preg_match("/[\r\n]/",$contactemail) && !preg_match("/[\r\n]/",$subject) && !contactmail($mailto,$mailfrom,$contactemail,$subject,$contact_message))
				$contact_msg=$lang_156;
			else
				$contact_msg=$lang_155;
		}
	} else {
		$captchaerror=$lang_109;
	}
}

// Determine browsing variables
if (isset($_REQUEST['start'])) {$_SESSION['start']=intval($_REQUEST['start']);} else if (!isset($_SESSION['start'])) {$_SESSION['start']=0;};
if (isset($_REQUEST['page'])) {$_SESSION['page']=intval($_REQUEST['page']);} else if (!isset($_SESSION['page'])) {$_SESSION['page']=1;};
if (isset($_REQUEST['category'])) {$_SESSION['category']=intval($_REQUEST['category']);} else if (!isset($_SESSION['category'])) {$_SESSION['category']=0;}
if (isset($_REQUEST['showphotoalbum'])) {$_SESSION['showphotoalbum']=intval($_REQUEST['showphotoalbum']);} else if (!isset($_SESSION['showphotoalbum'])) {$_SESSION['showphotoalbum']=0;}
if (!isset($_SESSION['age'])) {$_SESSION['age']=false;}
if (isset($_REQUEST['sort'])) {
	if ($_REQUEST['sort']==$_SESSION['sort']) {
		if ($_SESSION['sortorder']=='ASC') {$_SESSION['sortorder']='DESC';} else {$_SESSION['sortorder']='ASC';}
	} else {
		if ($_REQUEST['sort']=='name' || $_REQUEST['sort']=='price')
			$_SESSION['sort']=$_REQUEST['sort'];
	}
} else if (!isset($_SESSION['sort'])) {
	$_SESSION['sort']='id';
	$_SESSION['sortorder']='ASC';
}
if (isset($_REQUEST['toggleview'])) {$_SESSION['view']=intval($_REQUEST['toggleview']);} else if (!isset($_SESSION['view'])) {$_SESSION['view']=$gridview;};

// Determine path
if ($data_dir_path=='') {$moveto=str_replace(chr(92),chr(47),getcwd()).'/data/';} else {$moveto=$data_dir_path.'data/';}

// Insert the head of the page
require_once('inc/pagehead.php');

// Main content
// ******************

if (!isset($_REQUEST['productdetails']) && !isset($_REQUEST['sitemap']) && $_SESSION['start']==0 && $_SESSION['category']==0 && !isset($_REQUEST['search']) && !isset($_REQUEST['contact'])) {
        
	// Show all MAIN categories as icons
        $columns=3;$column=0;$width=floor($shopwidth/$columns);
	$iconboard=$_SESSION['menu'];
	foreach($iconboard as $key => $url) {
		if ($url[2]==1) {unset($iconboard[$key]);}
	}
	$iconboard=array_values($iconboard);
        if (count($iconboard)<$columns) {$columns=count($iconboard);}
        echo "<table class=\"contenttable\" style=\"width : 100%;\" cellpadding=\"10\">\n";
	if (!$hideindex)
		echo "<tr><td style=\"text-align : center;\" colspan=\"$columns\" onmouseover=\"this.bgColor='$highlightcolor';\" onmouseout=\"this.bgColor='$shopcolor';\"><a href=\"digitalshop.php?start=-1&amp;category=-1\" style=\"text-decoration : none;\"><img src=\"shopgfx/directory.png\" style=\"border : 0px;\" alt=\"icon\" width=\"$iconsizepx\" /><br />$lang_57</a></td></tr>";
        foreach($_SESSION['menu'] as $key => $url) {
		if ($url[2]==0) {
			if ($column==0) {echo "<tr>";}
			if (array_key_exists($url[0],$lang_00)) {$cat_newname=$lang_00[$url[0]];} else {$cat_newname=$url[0];}
			if (file_exists('gfx/' . $url[0] . '.png') || file_exists('gfx/' . $url[0] . '.jpg') || file_exists('gfx/' . $url[0] . '.gif')) {
				if (file_exists('gfx/' . $url[0] . '.png'))
					echo "<td style=\"text-align : center;\" onmouseover=\"this.bgColor='$highlightcolor';\" onmouseout=\"this.bgColor='$shopcolor';\"><a href=\"digitalshop.php?start=1&amp;category=$key\" style=\"text-decoration : none;\"><img src=\"gfx/" . $url[0] . ".png\" style=\"border : 0px;\" alt=\"icon\" width=\"$iconsizepx\" /><br />$cat_newname</a></td>";
				else if (file_exists('gfx/' . $row[id] . '.jpg'))
					echo "<td style=\"text-align : center;\" onmouseover=\"this.bgColor='$highlightcolor';\" onmouseout=\"this.bgColor='$shopcolor';\"><a href=\"digitalshop.php?start=1&amp;category=$key\" style=\"text-decoration : none;\"><img src=\"gfx/" . $url[0] . ".jpg\" style=\"border : 0px;\" alt=\"icon\" width=\"$iconsizepx\" /><br />$cat_newname</a></td>";
				else
					echo "<td style=\"text-align : center;\" onmouseover=\"this.bgColor='$highlightcolor';\" onmouseout=\"this.bgColor='$shopcolor';\"><a href=\"digitalshop.php?start=1&amp;category=$key\" style=\"text-decoration : none;\"><img src=\"gfx/" . $url[0] . ".gif\" style=\"border : 0px;\" alt=\"icon\" width=\"$iconsizepx\" /><br />$cat_newname</a></td>";
			} else {
				echo "<td style=\"text-align : center;\" onmouseover=\"this.bgColor='$highlightcolor';\" onmouseout=\"this.bgColor='$shopcolor';\"><a href=\"digitalshop.php?start=1&amp;category=$key\" style=\"text-decoration : none;\"><img src=\"shopgfx/directory.png\" style=\"border : 0px;\" alt=\"icon\" width=\"$iconsizepx\" /><br />$cat_newname</a></td>";
			}
			$column+=1;
			if ($column==$columns) {$column=0;echo "</tr>\n";}
		}
        }
        if ($column<$columns && $column>0)
        	echo str_repeat("<td>&nbsp;</td>",$columns-$column) . "</tr>\n" . "</table>\n";
        else
        	echo "</table>\n";
           
} else if (isset($_REQUEST['productdetails'])) {

	// Show specific product
	$highlightcolor=$shopcolor; // Disable highlight
        echo "<table class=\"contenttable\" style=\"width : 100%;\"><tr><td style=\"vertical-align : top;width : " . ($iconsizepx + 54) . "px;text-align : left;padding-left : 10px;font-weight : bold;\">&nbsp;</td><td style=\"vertical-align : top;text-align : left;font-weight : bold;\">$lang_01</td><td colspan=\"2\" style=\"vertical-align : top;text-align : right;width : " . ($iconsizepx +16) . "px;padding-right : 10px;font-weight : bold;\">$lang_03 $currency</td></tr>\n";
        echo "<tr><td colspan=\"4\" style=\"background-color : $shopcolor;\">&nbsp; </td></tr>\n";
	$query="SELECT id, name, rname, type, size, descr, price, disc, title FROM digitalshop WHERE id = '" . mysql_real_escape_string($_REQUEST['productdetails']) . "'";
        $result=mysql_query($query);
        if ($result && !mysql_num_rows($result)) {
        	echo "<tr><td colspan=\"4\">&nbsp; </td></tr><tr><td colspan=\"4\" style=\"vertical-align : middle;font-weight : bold;\">$shopname $lang_04</td></tr>\n";	
        } else if ($result) {
        	$hideemptyrow=true;
        	while ($row=mysql_fetch_array($result)) {
        		$filename=html_entity_decode($row[name]);$filesize=intval($row[size]);$units=explode(' ','B KB MB GB TB PB');
			$title=stripslashes($row[title]);
			if ($title=='') {$title='';} else {
				$title='<b>'.$title.'</b>';
				if ($row[descr]!='')
					$title.='<p><em>' . $lang_02 . ' :</em></p>';
			}
                        for ($i=0;$filesize>1024;$i++) {$filesize=$filesize/1024;}
        		$filesize=round($filesize,1).' '.$units[$i];
                        if ($row[disc]>0) {
				if (intval($row[disc])!=100)
					$row[descr]=$row[descr].'<br /><br /><em>'.$row[disc].'% '.$lang_79.number_format(floatval($row[price]),2,'.','')." $currency </em>";
                                $row[price]=$row[price]-($row[price]*($row[disc]/100));
                        }
			$filecontent="";
			if ($row[type]=='Directory' && is_dir($moveto.$row[rname]) && !file_exists($moveto.$row[rname].'/photoalbum.php') && !file_exists($moveto.$row[rname].'/mp3album.php')) {
				$filecontent="<br /><br />$lang_61:<br /><br />";
				if ($dir=@opendir($moveto.$row[rname])) {
					while ($file=@readdir($dir)) {
						if ($file!='.' && $file!='..' && $file!='.htaccess' && $file!='xxx.php' && $file!='watermark.php' && $file!='photoalbum.php' && $file!='mp3album.php') {
							$filesize=filesize($moveto.$row[rname]."/$file");
							$units=explode(' ','B KB MB GB TB PB');
							for ($i=0;$filesize>1024;$i++) {$filesize=$filesize/1024;}
							if ($filesize!=0) {
								$filesize=round($filesize,1).' '.$units[$i];
								$filecontent=$filecontent . "<span style=\"font-weight : bold;\">$file</span> ($filesize) <br />";
							} else {
								$filecontent=$filecontent . "<span style=\"font-weight : bold;\">$file</span> <br />";
							}
						}
					}
					@closedir($dir);
				}
			}
			$productdescription=stripslashes(nl2br($row[descr]));
			if (substr_count($productdescription,'#?#')>0) {
				$language_exploded=explode('#?#',$productdescription);
				$productdescription=$language_exploded[0];
				foreach($language_exploded as $key => $native) {
					if (trim($native)==$_SESSION['language']) {
						$productdescription=$language_exploded[$key+1];
						break;
					}
				}
			}
			$row[descr]=$productdescription;
			$row[descr]=$row[descr].$filecontent;
			$rating='';
			if (isset($_REQUEST['sitemap'])) {$dynamicreturn='&amp;sitemap=1';} else {$dynamicreturn='';}
			if ($allowrating) {
				$queryrating="SELECT COUNT(id) as votes, SUM(vote) AS rating FROM digitalshoprating WHERE prodid = '$row[id]'";
				$resultrating=mysql_query($queryrating);
				if ($resultrating && mysql_num_rows($resultrating)) {
					$rowrating=mysql_fetch_array($resultrating);
					$votes=$rowrating[votes];
                                        if ($votes>0)
                                                $stars=round($rowrating[rating]/$votes);
                                        else
                                                $stars=0;
				} else {
					$stars=0;
					$votes=0;
				}
				$rating="<form method=\"post\" action=\"digitalshop.php\"><div class=\"footer\" style=\"width : 100%;text-align : left;padding-top : 10px;\">";
				for ($i=1;$i<=5;$i++) {
					if ($allowedtovote)
						$dynamicvote="name=\"star$i\" onclick=\"location.href=('digitalshop.php?productdetails=$row[id]&amp;vote=$row[id]&amp;rating=$i$dynamicreturn');\" onmouseover=\"this.style.cursor='pointer';staractivate($i);\" onmouseout=\"stardeactivate($stars);\"";
					else
						$dynamicvote='';
					if ($i<=$stars)
						$rating=$rating."<img src=\"shopgfx/stargoldsmall.png\" $dynamicvote title=\"$lang_96\" alt=\"$lang_96\" style=\"border : 0px;\" />";
					if ($i>$stars)
						$rating=$rating."<img src=\"shopgfx/stargreysmall.png\" $dynamicvote title=\"$lang_96\" alt=\"$lang_96\" style=\"border : 0px;\" />";
				}
				$rating.="<br />$votes $lang_94</div></form>";
			}
        		if ($row[price]>0 || intval($row[disc])==100) {
        			if ($hideemptyrow) {$hideemptyrow=false;} else {echo "<tr><td colspan=\"4\">&nbsp; </td></tr>\n";}
                                $filename=htmlentities($filename);$filesize=htmlentities($filesize);$filetype=htmlentities($row[type]);
        			if ($shop_infotext) {
					if (strlen($filename)>($readmoremenu+4)) {$filename=wordwrap($filename,$readmoremenu+4,"<br />",true);}
                                        if ($filetype=='Directory') {
                                                if (file_exists($moveto.$row[rname].'/photoalbum.php') || file_exists($moveto.$row[rname].'/mp3album.php'))
                                                        echo "<tr onmouseover=\"this.bgColor='$highlightcolor';\" onmouseout=\"this.bgColor='$shopcolor';\"><td style=\"vertical-align : top;text-align : left;padding-left : 10px;font-weight : bold;\">$filename<br />$filesize<br />$rating</td><td style=\"vertical-align : top;text-align : left;\">$title". $row[descr] . "</td><td style=\"vertical-align : top;text-align : right;padding-right : 10px;font-weight : bold;font-size : 13px;\" nowrap=\"nowrap\" colspan=\"2\"><a href=\"digitalshop.php?showphotoalbum=$row[id]&amp;page=1\">". number_format(floatval($row[price]),2,'.',',') . "<br />$lang_05</a></td></tr>\n";
                                                else
                                                        echo "<tr onmouseover=\"this.bgColor='$highlightcolor';\" onmouseout=\"this.bgColor='$shopcolor';\"><td style=\"vertical-align : top;text-align : left;padding-left : 10px;font-weight : bold;\">$filename<br />$filesize<br />$rating</td><td style=\"vertical-align : top;text-align : left;\">$title" . $row[descr] . "</td><td style=\"vertical-align : top;text-align : right;padding-right : 10px;font-weight : bold;font-size : 13px;\" nowrap=\"nowrap\" colspan=\"2\"><a href=\"digitalcart.php?id=$row[id]\">". number_format(floatval($row[price]),2,'.',',') . "<br />$lang_05</a></td></tr>\n";
                                        } else {
                       				echo "<tr onmouseover=\"this.bgColor='$highlightcolor';\" onmouseout=\"this.bgColor='$shopcolor';\"><td style=\"vertical-align : top;text-align : left;padding-left : 10px;font-weight : bold;\">$filename<br />$filesize<br />$rating</td><td style=\"vertical-align : top;text-align : left;\">$title". $row[descr] . "</td><td style=\"vertical-align : top;text-align : right;padding-right : 10px;font-weight : bold;font-size : 13px;\" nowrap=\"nowrap\" colspan=\"2\"><a href=\"digitalcart.php?id=$row[id]\">". number_format(floatval($row[price]),2,'.',',') . "<br />$lang_05</a></td></tr>\n";
                                        }
        			} else {
					if (file_exists('gfx/'.number_format(floatval($row[price]),2,'.','').'.png')) {
						$pricetag="<img src=\"gfx/". number_format(floatval($row[price]),2,'.','') . ".png\" title=\"$lang_05\" alt=\"icon\" width=\"$iconsizepx\" style=\"border : 0px;\" />";
					} else {
						if ($price_as_image)
							$pricetag="<img src=\"digitalshop.php?pricetag=". number_format(floatval($row[price]),2,'.',',') ."\" title=\"$lang_05\" alt=\"icon\" width=\"$iconsizepx\" style=\"border : 0px;\" />";
						else
							$pricetag="<span style=\"font-weight : bold;font-size : 13px;\"><br /><br />$currency ". number_format(floatval($row[price]),2,'.',',') ."<br />$lang_05</span>";
					}
                                        if ((!file_exists('gfx/' . $row[id] . '.png') && !file_exists('gfx/' . $row[id] . '.jpg') && !file_exists('gfx/' . $row[id] . '.gif'))) {
                                                if ($filetype=='Directory') {
                                                        if (file_exists($moveto.$row[rname].'/photoalbum.php') || file_exists($moveto.$row[rname].'/mp3album.php')) {
								if (file_exists($moveto.$row[rname].'/photoalbum.php'))
									echo "<tr onmouseover=\"this.bgColor='$highlightcolor';\" onmouseout=\"this.bgColor='$shopcolor';\"><td style=\"vertical-align : top;text-align : left;padding-left : 10px;\"><a href=\"digitalshop.php?showphotoalbum=$row[id]&amp;page=1\"><img src=\"shopgfx/photoalbum.png\" title=\"$lang_60\" alt=\"icon\" width=\"$iconsizepx\" style=\"border : 0px;\" /></a><br />$rating</td><td style=\"vertical-align : top;text-align : left;\">$title". $row[descr] . "<p><input type=\"button\" value=\"$lang_60\" class=\"button\" onclick=\"location.href=('digitalshop.php?showphotoalbum=$row[id]&amp;page=1');\" onmouseover=\"this.style.cursor='pointer'\" /></p></td><td style=\"vertical-align : top;text-align : right;padding-right : 10px;\" colspan=\"2\"><a href=\"digitalshop.php?showphotoalbum=$row[id]&amp;page=1\">$pricetag</a></td></tr>\n";
								else
									echo "<tr onmouseover=\"this.bgColor='$highlightcolor';\" onmouseout=\"this.bgColor='$shopcolor';\"><td style=\"vertical-align : top;text-align : left;padding-left : 10px;\"><a href=\"digitalshop.php?showphotoalbum=$row[id]&amp;page=1\"><img src=\"shopgfx/mp3album.png\" title=\"$lang_60\" alt=\"icon\" width=\"$iconsizepx\" style=\"border : 0px;\" /></a><br />$rating</td><td style=\"vertical-align : top;text-align : left;\">$title". $row[descr] . "<p><input type=\"button\" value=\"$lang_60\" class=\"button\" onclick=\"location.href=('digitalshop.php?showphotoalbum=$row[id]&amp;page=1');\" onmouseover=\"this.style.cursor='pointer'\" /></p></td><td style=\"vertical-align : top;text-align : right;padding-right : 10px;\" colspan=\"2\"><a href=\"digitalshop.php?showphotoalbum=$row[id]&amp;page=1\">$pricetag</a></td></tr>\n";
                                                        } else {
                                                                echo "<tr onmouseover=\"this.bgColor='$highlightcolor';\" onmouseout=\"this.bgColor='$shopcolor';\"><td style=\"vertical-align : top;text-align : left;padding-left : 10px;\"><a href=\"digitalcart.php?id=$row[id]\"><img src=\"shopgfx/filecollection.png\" title=\"$lang_60\" alt=\"icon\" width=\"$iconsizepx\" style=\"border : 0px;\" /></a><br />$rating</td><td style=\"vertical-align : top;text-align : left;\">$title" . $row[descr]. "</td><td style=\"vertical-align : top;text-align : right;padding-right : 10px;\" colspan=\"2\"><a href=\"digitalcart.php?id=$row[id]\">$pricetag</a></td></tr>\n";
							}
                                                } else {
                                                        echo "<tr onmouseover=\"this.bgColor='$highlightcolor';\" onmouseout=\"this.bgColor='$shopcolor';\"><td style=\"vertical-align : top;text-align : left;padding-left : 10px;\"><a href=\"digitalcart.php?id=$row[id]\"><img src=\"digitalshop.php?fileinfo=$filename&amp;filesize=$filesize&amp;filetype=$filetype\" title=\"$lang_05\" alt=\"icon\" width=\"$iconsizepx\" style=\"border : 0px;\" /></a><br />$rating</td><td style=\"vertical-align : top;text-align : left;\">$title". $row[descr] . "</td><td style=\"vertical-align : top;text-align : right;padding-right : 10px;\" colspan=\"2\"><a href=\"digitalcart.php?id=$row[id]\">$pricetag</a></td></tr>\n";
                                                }
                                        } else {
						$icon='gfx/' . $row[id] . '.gif';
						if (file_exists('gfx/' . $row[id] . '.png')) {
							$icon='gfx/' . $row[id] . '.png';
						} else if (file_exists('gfx/' . $row[id] . '.jpg')) {
                                                        $icon='gfx/' . $row[id] . '.jpg';
                                                }
                                                if ($filetype=='Directory') {
                                                        if (file_exists($moveto.$row[rname].'/photoalbum.php') || file_exists($moveto.$row[rname].'/mp3album.php')) {
								echo "<tr onmouseover=\"this.bgColor='$highlightcolor';\" onmouseout=\"this.bgColor='$shopcolor';\"><td style=\"vertical-align : top;text-align : left;padding-left : 10px;\"><a href=\"digitalshop.php?showphotoalbum=$row[id]&amp;page=1\"><img src=\"$icon\" title=\"$lang_60\" alt=\"icon\" width=\"$iconsizepx\" style=\"border : 0px;\" /></a><br />$rating</td><td style=\"vertical-align : top;text-align : left;\">$title". $row[descr] . "<p><input type=\"button\" value=\"$lang_60\" class=\"button\" onclick=\"location.href=('digitalshop.php?showphotoalbum=$row[id]&amp;page=1');\" onmouseover=\"this.style.cursor='pointer'\" /></p></td><td style=\"vertical-align : top;text-align : right;padding-right : 10px;\" colspan=\"2\"><a href=\"digitalshop.php?showphotoalbum=$row[id]&amp;page=1\">$pricetag</a></td></tr>\n";
                                                        } else {
                                                                echo "<tr onmouseover=\"this.bgColor='$highlightcolor';\" onmouseout=\"this.bgColor='$shopcolor';\"><td style=\"vertical-align : top;text-align : left;padding-left : 10px;\"><a href=\"digitalcart.php?id=$row[id]\"><img src=\"$icon\" title=\"$lang_60\" alt=\"icon\" width=\"$iconsizepx\" style=\"border : 0px;\" /></a><br />$rating</td><td style=\"vertical-align : top;text-align : left;\">$title" . $row[descr]. "<p><input type=\"button\" value=\"$lang_60\" class=\"button\" onclick=\"location.href=('digitalshop.php?start=1&amp;category=-1&amp;productdetails=$row[id]');\" onmouseover=\"this.style.cursor='pointer'\" /></p></td><td style=\"vertical-align : top;text-align : right;padding-right : 10px;\" colspan=\"2\"><a href=\"digitalcart.php?id=$row[id]\">$pricetag</a></td></tr>\n";
							}
                                                } else {
                                                        echo "<tr onmouseover=\"this.bgColor='$highlightcolor';\" onmouseout=\"this.bgColor='$shopcolor';\"><td style=\"vertical-align : top;text-align : left;padding-left : 10px;\"><a href=\"digitalcart.php?id=$row[id]\"><img src=\"$icon\" title=\"$lang_05\" alt=\"icon\" width=\"$iconsizepx\" style=\"border : 0px;\" /></a><br />$rating</td><td style=\"vertical-align : top;text-align : left;\">$title". $row[descr] . "</td><td style=\"vertical-align : top;text-align : right;padding-right : 10px;\" colspan=\"2\"><a href=\"digitalcart.php?id=$row[id]\">$pricetag</a></td></tr>\n";
                                                }
                                        }
        			}
        		} else if (mysql_num_rows($result)==1) {
        			echo "<tr><td colspan=\"4\">&nbsp; </td></tr><tr><td colspan=\"4\" style=\"text-align : center;font-weight : bold;\">$shopname $lang_04</td></tr>\n";	
        		}
			// Add video player
			if ($show_video) {
				$extension=strtolower(substr($row[name],strrpos($row[name],'.')+1,strlen($row[name])));
				if (in_array($extension,array('divx','mov','3gp','3g2','mp4','rm','f4v','flv','swf','dir','dcr','asf','wmv','avi','mpg','mpeg','ogg','ogv','webm','mkv','mts','h264'))) {
					$moviename = substr($row[name],0,strlen($row[name])-strlen($extension)-1);
					if (file_exists('gfx/'. $moviename . '.mp4')) {
						echo "<tr><td colspan=\"4\"><div class=\"mp4video\"><video id=\"sample_video\" class=\"video-js vjs-default-skin\" controls=\"controls\" preload=\"none\" width=\"$show_video_width\" height=\"$show_video_height\" data-setup=\"{}\"><source src=\"$shopurl/gfx/$row[name]\" type='video/mp4'></video><script>var myPlayer = _V_(\"sample_video\");</script></div></td></tr>\n";
					} else if (file_exists('gfx/'. $moviename . '.ogv')) {
						echo "<tr><td colspan=\"4\"><div class=\"mp4video\"><video id=\"sample_video\" class=\"video-js vjs-default-skin\" controls=\"controls\" preload=\"none\" width=\"$show_video_width\" height=\"$show_video_height\" data-setup=\"{}\"><source src=\"$shopurl/gfx/$row[name]\" type='video/ogg'></video><script>var myPlayer = _V_(\"sample_video\");</script></div></td></tr>\n";
					} else if (file_exists('gfx/'. $moviename . '.webm')) {
						echo "<tr><td colspan=\"4\"><div class=\"mp4video\"><video id=\"sample_video\" class=\"video-js vjs-default-skin\" controls=\"controls\" preload=\"none\" width=\"$show_video_width\" height=\"$show_video_height\" data-setup=\"{}\"><source src=\"$shopurl/gfx/$row[name]\" type='video/webm'></video><script>var myPlayer = _V_(\"sample_video\");</script></div></td></tr>\n";
					}
				}
			}
        	}
        }	
	echo "<tr><td colspan=\"4\">&nbsp;</td></tr></table>\n";

} else if ($_SESSION['showphotoalbum']!=0) {
           
	// Show photo album
	$id=$_SESSION['showphotoalbum'];$query="SELECT id, name, rname, price, disc FROM digitalshop WHERE id = '$id'";$result=mysql_query($query);
	echo "<table class=\"contenttable\" style=\"width : 100%;\"><tr><td style=\"vertical-align : middle;text-align : center;\">\n";
	if ($result && mysql_num_rows($result)) {
		$row=mysql_fetch_array($result);
		// Age check
		$explicit_ok=false;
		if (file_exists('data/'.$row[rname].'/xxx.php')) {
			if (isset($_REQUEST['over18'])) {
				$_SESSION['age']=true;
				$explicit_ok=true;
			}
			if($_SESSION['age'])  {$explicit_ok=true;}
			if (!$explicit_ok) {
				echo "<table style=\"width : 100%;\"><tr><td style=\"text-align: center;font-weight : bold;\">$lang_65</td></tr><tr><td>&nbsp; </td></tr>";
				echo "<tr><td style=\"text-align: center;\"><input type=\"submit\" value=\"$lang_63\" class=\"button\" onclick=\"location.href=('digitalshop.php?showphotoalbum=$id&amp;page=1&amp;over18=18');\" onmouseover=\"this.style.cursor='pointer'\" />";
				echo " <input type=\"button\" value=\"$lang_64\" class=\"button\" onclick=\"location.href=('digitalshop.php?exit=1');\" onmouseover=\"this.style.cursor='pointer'\" /></td></tr></table>";
			}
		} else {
			$explicit_ok=true;
		}
		$imageoriginalname='';
		if ($show_name && is_readable('gfx/' . $row[name] . '/names.txt')) {
			if ($fp=@fopen('gfx/' . $row[name] . '/names.txt','r')) {
				if (filesize('gfx/' . $row[name] . '/names.txt')>0) {	
					$names=explode('|',fread($fp,filesize('gfx/' . $row[name] . '/names.txt')));
				}
				fclose($fp);
			}
		}		
		if ($explicit_ok) {
			// Display the thumbs or photo in an inner table
			$column=0;
			$page=$_SESSION['page'];
			if (isset($_REQUEST['photo'])) {$photo=$_REQUEST['photo'];} else {$photo='';}
			if ($photo=='') {
				// Read all image files in directory
				$images=array();$mp3=false;
				if ($dir=@opendir('gfx/'.$row[name])) {
					while ($filename=@readdir($dir)) {
						if (($filename!='.') && ($filename!='..') && !is_dir($filename)) {
							$extension=strtolower(substr($filename,strrpos($filename,'.')+1,strlen($filename)));
							if ($extension=='mp3') {$mp3=true;}
							if (($extension=='jpg' || $extension=='jpeg' || $extension=='png' || $extension=='gif' || $extension=='mp3') && is_numeric(substr($filename,0,strlen($filename)-strlen($extension)-1)))
								$images[]=$filename;
						}
						if (count($images)==99)
							break;                                       
					}
				}   
				sort($images, SORT_STRING);
				if ($mp3) {
					$table=explode('x',"1x$mp3_tracks_page");
					$tablesize=$table[0]*$table[1];
					echo "<script type=\"text/javascript\" src=\"inc/soundmanager2.js\"></script>\n";
					echo "<script type=\"text/javascript\" src=\"inc/mp3-player-button.js\"></script>\n";
					echo "<link rel=\"stylesheet\" type=\"text/css\" href=\"inc/mp3-player-button.css\" />\n";
					echo "<script type=\"text/javascript\">\n";
					echo "soundManager.url = 'inc/';\n";
					echo "</script>\n";
					if (file_exists('gfx/'.$row[name].'/cover.jpg')) {
						echo "<div style=\"width: 100%;text-align: center;vertical-align: top;padding-bottom: 10px;\"><img src=\"gfx/$row[name]/cover.jpg\" alt=\"cover\" width=\"$iconsizepx\" style=\"border : 0px;\" /></div>\n";
					} else if (file_exists('gfx/'.$row[name].'/cover.png')) {
						echo "<div style=\"width: 100%;text-align: center;vertical-align: top;padding-bottom: 10px;\"><img src=\"gfx/$row[name]/cover.png\" alt=\"cover\" width=\"$iconsizepx\" style=\"border : 0px;\" /></div>\n";
					} else if (file_exists('gfx/'.$row[name].'/cover.gif')) {
						echo "<div style=\"width: 100%;text-align: center;vertical-align: top;padding-bottom: 10px;\"><img src=\"gfx/$row[name]/cover.gif\" alt=\"cover\" width=\"$iconsizepx\" style=\"border : 0px;\" /></div>\n";
					}
					echo "<table style=\"width : 100%;\"><td style=\"text-align: left;font-weight : bold;\">$lang_169</td><td style=\"text-align: center;font-weight : bold;\">$lang_170</td><td style=\"text-align: center;font-weight : bold;\">$lang_171</td><td style=\"text-align: center;font-weight : bold;\">$lang_172</td><td style=\"text-align: center;font-weight : bold;\">$lang_173</td><td style=\"text-align: right;font-weight : bold;\">$lang_05</td></tr>\n";
					echo "<tr><td colspan=\"6\">&nbsp;</td></tr>\n";
				} else {
					$table=explode('x',$tableformat);
					if ($xsmall && $table[0]>3)
						$table[0]=floor(580/$thumbsize)-1;
					$tablesize=$table[0]*$table[1];
					echo "<table style=\"width : 100%;\">\n";
				}
				$imageoriginalname='';
				if ($row[disc]>0) {
					$row[price]=$row[price]-($row[price]*($row[disc]/100));
				}
				foreach($images as $key => $image) {
					if ($key>=($tablesize*($page-1)) && $key<($tablesize*$page)) {
						if ($column==0) {echo "<tr>";}
						$imagecode=$id.substr($image,0,strrpos($image,'.'));
						$imagecode=str_repeat('0',5-strlen($imagecode)).$imagecode;
						if ($show_name && in_array(substr(basename($image),0,strrpos(basename($image),'.')),$names)) {
							$index=array_search(substr(basename($image),0,strrpos(basename($image),'.')),$names);
							$imageoriginalname=substr($names[$index+1],0,$readmoremenu).'..';
						}						
						if (!$mp3) {
							$size=GetImageSize("gfx/$row[name]/$image");
							$width=$size[0];
							$height=$size[1];
							if ($size[0]>$size[1] && $size[0]>$thumbsize) {
								$width=$thumbsize;
								$height=ceil($size[1]/($size[0]/$width));
							} else if ($size[1]>$thumbsize) {
								$width=ceil($size[0]/($size[1]/$thumbsize));
								$height=$thumbsize;
							}
							echo "<td style=\"font-size : 10px;font-weight : bold;\">$imageoriginalname<br /><a href=\"digitalshop.php?showphotoalbum=$id&amp;page=$page&amp;photo=" . urlencode($image) . "\"><img src=\"gfx/$row[name]/$image\" alt=\"photo\" style=\"width: ${width}px;heigth : ${height};border : 0px;\" /></a><br />$imagecode</td>";
						} else {
							$mp3filesize=filesize($moveto.$row[rname]."/$image");
							$units=explode(' ','B KB MB GB TB PB');
							for ($i=0;$mp3filesize>1024;$i++) {$mp3filesize=$mp3filesize/1024;}
							if ($mp3filesize!=0) {
								$mp3filesize=round($mp3filesize,1).' '.$units[$i];
							} else {
								$mp3filesize='?';
							}
							$pricetag="<span style=\"font-weight : bold;font-size : 13px;\">". number_format(floatval($row[price]),2,'.',',') . " $currency</span>";
							echo "<td style=\"text-align: left;font-weight: bold;width : 50px;\">" . ($key+1) . ".</td><td style=\"text-align: center;\"><a href=\"$shopurl/gfx/$row[name]/$image\" title=\"$image\" class=\"sm2_button\">$image</a></td><td style=\"text-align: center;\">$imageoriginalname</td><td style=\"text-align: center;\">$mp3filesize</td><td style=\"text-align: center;\">$imagecode</td><td style=\"text-align: right;font-weight : bold;\"><a href=\"digitalcart.php?showphotoalbum=$id&amp;page=$page&amp;id=$imagecode\">$pricetag</a></td>\n";
						}
						$column+=1;
						if ($column==$table[0]) {$column=0;echo "</tr>\n";}
					}
				}        
                                $lastpageimages=count($images)-($tablesize*($page-1));
                                if ($page==ceil(count($images)/$tablesize) && $lastpageimages<$table[0]) {
                                        echo "</tr></table>\n";	                                
				} else if  ($column<$table[0] && $column>0) {
					echo str_repeat('<td>&nbsp;</td>',$table[0]-$column) . "</tr>\n" . "</table>\n";
				} else {
					echo "</table>\n";
				}
				// Option to purchase all tracks/photos in one click
				$maxchar = 127;
				if (isset($_SESSION['cart'])) {
					$ordercode='';
					if (count($_SESSION['cart'])>0) {
						foreach($_SESSION['cart'] as $product) {
							if ($ordercode=='') {
								$ordercode=$ordercode . $product[0] . '-';
							} else if (strlen($product[0])==5) {
								$orders=explode('-',rtrim($ordercode,'-'));
								$exist=false;
								foreach ($orders as $key => $order){
									if (substr($order,0,3)==substr($product[0],0,3)) {
										$orders[$key]=$order.substr($product[0],3,4);
										$exist=true;
									}
								}
								if (!$exist) {$orders[]=$product[0];}
								$ordercode=implode('-',$orders) . '-';
							} else {
								$ordercode=$ordercode . $product[0] . '-';
							}
						}
						$ordercode=rtrim($ordercode,'-');
						$maxchar = 127 - strlen($ordercode);
					}
				}
				if (($maxchar - count($images)*2)>11 && count($images)>1) {
					echo "<table style=\"width : 100%;\"><tr><td>&nbsp;</td></tr><tr><td style=\"text-align : center;\"><input type=\"button\" value=\"$lang_165\" class=\"button\" onclick=\"location.href=('digitalcart.php?completealbum=1&amp;id=" . count($images) . "&amp;showphotoalbum=" . $_SESSION['showphotoalbum'] . "');\" onmouseover=\"this.style.cursor='pointer'\" /></td></tr></table>\n";
				}
			} else {
				echo "<table style=\"width : 100%;\">\n";
				if (!file_exists("gfx/$row[name]/" . basename($photo))) {
					if (file_exists("gfx/$row[name]/00.jpg")) {
						$photo='00.jpg';
					} else if (file_exists("gfx/$row[name]/00.jpeg")) {
						$photo='00.jpeg';
					} else if (file_exists("gfx/$row[name]/00.png")) {
						$photo='00.png';
					} else if (file_exists("gfx/$row[name]/00.gif")) {
						$photo='00.gif';
					}
				}
				$back=''.max(0,intval(str_replace('0','',substr(basename($photo),0,2)))-1);			
				$back=str_repeat('0',2-strlen($back)).$back;
				if (file_exists("gfx/$row[name]/$back.jpg")) {
					$back="$back.jpg";
				} else if (file_exists("gfx/$row[name]/00.jpeg")) {
					$back="$back.jpeg";
				} else if (file_exists("gfx/$row[name]/00.png")) {
					$back="$back.png";
				} else if (file_exists("gfx/$row[name]/00.gif")) {
					$back="$back.gif";
				}
				$forward=''.min(99,intval(str_replace('0','',substr(basename($photo),0,2)))+1);			
				$forward=str_repeat('0',2-strlen($forward)).$forward;
				if (file_exists("gfx/$row[name]/$forward.jpg")) {
					$forward="$forward.jpg";
				} else if (file_exists("gfx/$row[name]/00.jpeg")) {
					$forward="$forward.jpeg";
				} else if (file_exists("gfx/$row[name]/00.png")) {
					$forward="$forward.png";
				} else if (file_exists("gfx/$row[name]/00.gif")) {
					$forward="$forward.gif";
				}
				$imagecode=$id.substr(basename($photo),0,strrpos(basename($photo),'.'));
				$imagecode=str_repeat('0',5-strlen($imagecode)).$imagecode;
				if ($row[disc]>0) {
					$row[price]=$row[price]-($row[price]*($row[disc]/100));
				}
				if (file_exists('gfx/'.number_format(floatval($row[price]),2,'.','').'.png')) {
					$pricetag="<img src=\"gfx/". number_format(floatval($row[price]),2,'.','') . ".png\" title=\"$lang_05\" alt=\"icon\" width=\"$iconsizepx\" style=\"border : 0px;\" />";
				} else {
					if ($price_as_image )
						$pricetag="<img src=\"digitalshop.php?pricetag=". number_format(floatval($row[price]),2,'.',',') ."\" title=\"$lang_05\" alt=\"icon\" width=\"$iconsizepx\" style=\"border : 0px;\" />";
					else
						$pricetag="<span style=\"font-weight : bold;font-size : 13px;\"><br /><br />$currency ". number_format(floatval($row[price]),2,'.',',') ."<br />$lang_05</span>";
				}
				if ($show_name && in_array(substr(basename($photo),0,strrpos(basename($photo),'.')),$names)) {
					$index=array_search(substr(basename($photo),0,strrpos(basename($photo),'.')),$names);
					$imageoriginalname=' / '.$names[$index+1];
				}
				$photo_width='';
				$size=GetImageSize("gfx/$row[name]/" . basename($photo));
				$max_photowidth = min(640,($maintable_width-80));
				if ($size[0]>$max_photowidth)
					$photo_width='width : ' . $max_photowidth . 'px;';
				if (substr(basename($photo),0,2)=='00')
					$photo_header="<table style=\"width : 100%;\"><tr><td style=\"text-align : left;padding-left : 50px;width : 100px;\">&nbsp;</td><td style=\"text-align : center;font-size : 10px;font-weight : bold;\">$imagecode $imageoriginalname</td><td style=\"text-align : right;padding-right : 50px;width : 100px;\"><a href=\"digitalshop.php?showphotoalbum=$id&amp;page=$page&amp;photo=$forward\"><img src=\"shopgfx/arrowsmallright.png\" style=\"border : 0px;\" title=\"\" alt=\"\" /></a></td></tr></table>";				
				else
					$photo_header="<table style=\"width : 100%;\"><tr><td style=\"text-align : left;padding-left : 50px;\"><a href=\"digitalshop.php?showphotoalbum=$id&amp;page=$page&amp;photo=$back\"><img src=\"shopgfx/arrowsmallleft.png\" style=\"border : 0px;\" title=\"\" alt=\"\" /></a></td><td style=\"text-align : center;font-size : 10px;font-weight : bold;\">$imagecode $imageoriginalname</td><td style=\"text-align : right;padding-right : 50px;\"><a href=\"digitalshop.php?showphotoalbum=$id&amp;page=$page&amp;photo=$forward\"><img src=\"shopgfx/arrowsmallright.png\" style=\"border : 0px;\" title=\"\" alt=\"\" /></a></td></tr></table>";
				if ($shop_infotext)
					echo "<tr><td style=\"text-align : center;font-size : 10px;font-weight : bold;\">$photo_header<br /><br /><a href=\"digitalshop.php?showphotoalbum=$id&amp;page=$page\"><img src=\"gfx/$row[name]/" . basename($photo) . "\" style=\"border : 0px;$photo_width\" title=\"$lang_62\" alt=\"photo\" /></a><br /><br /><span style=\"font-weight : bold;font-size : 13px;\"><a href=\"digitalcart.php?showphotoalbum=$id&amp;page=$page&amp;id=$imagecode\">$currency ". number_format(floatval($row[price]),2,'.',',') . "<br />$lang_05</a></span></td></tr>\n". "</table>\n";
				else 
					echo "<tr><td style=\"text-align : center;font-size : 10px;font-weight : bold;\">$photo_header<br /><br /><a href=\"digitalshop.php?showphotoalbum=$id&amp;page=$page\"><img src=\"gfx/$row[name]/" . basename($photo) . "\" style=\"border : 0px;$photo_width\" title=\"$lang_62\" alt=\"photo\" /></a><br /><span style=\"text-align : center;font-size : 10px;\">$lang_62</span><br /><a href=\"digitalcart.php?showphotoalbum=$id&amp;page=$page&amp;id=$imagecode\">$pricetag</a></td></tr>\n". "</table>\n";
			}
		}
		// Display the amount of pages in a seperate table
		if ($tablesize<count($images) && $photo=='') {
			if ($page>=ceil(count($images)/$tablesize)) {
				echo "<table style=\"width : 100%;\"><tr><td style=\"text-align : right;\"><a href=\"digitalshop.php?showphotoalbum=$id&amp;page=1\" onclick=\"this.blur();\"><img src=\"shopgfx/nextpage.png\" style=\"border : 0px;height: 44px;\" alt=\"icon\" /></a></td></tr></table>\n";
			} else {
				echo "<table style=\"width : 100%;\"><tr><td style=\"text-align : right;\"><a href=\"digitalshop.php?showphotoalbum=$id&amp;page=" . ($page+1) . "\" onclick=\"this.blur();\"><img src=\"shopgfx/nextpage.png\" style=\"border : 0px;height: 44px;\" alt=\"icon\" /></a></td></tr></table>\n";
			}
			echo "<table style=\"width : 100%;\"><tr><td>&nbsp;</td></tr><tr><td style=\"text-align : center;font-size : 12px;\">$lang_08";
			for ($i=1;$i<=ceil(count($images)/$tablesize);$i++) {
				if ($page==$i) {
                                        echo " <a href=\"digitalshop.php?showphotoalbum=$id&amp;page=$i\" style=\"text-decoration : underline;\">$i</a> ";
                                } else {
                                        echo " <a href=\"digitalshop.php?showphotoalbum=$id&amp;page=$i\">$i</a> ";
                                }
			}
			echo "</td></tr></table>";
		}
        }
        // Close photoalbum table
        echo "</td></tr></table>\n";
	
} else if (isset($_REQUEST['contact']) && $show_contactform) {

	if(isset($_REQUEST['contact_email'])) {$contact_email=$_REQUEST['contact_email'];} else {$contact_email='';}
	if(isset($_REQUEST['contact_subject'])) {$contact_subject=stripslashes($_REQUEST['contact_subject']);} else {$contact_subject='';}
	if(isset($_REQUEST['contact_name'])) {$contact_name=stripslashes($_REQUEST['contact_name']);} else {$contact_name='';}
	if(isset($_REQUEST['contact_message'])) {$contact_message=stripslashes($_REQUEST['contact_message']);} else {$contact_message='';}
	echo "<form method=\"post\" action=\"digitalshop.php?contact=2\"><table class=\"contenttable\" style=\"width : 100%;\">\n";
	if ($contact_msg!='') {
		echo "<tr><td colspan=\"2\">&nbsp;</td></tr><tr><td colspan=\"2\" style=\"font-weight : bold;text-align : center\">$contact_msg</td></tr><tr><td colspan=\"2\">&nbsp;</td></tr>\n";
	} else {
		echo "<tr><td colspan=\"2\">&nbsp;</td></tr><tr><td colspan=\"2\" style=\"font-weight : bold;text-align :center;\">$lang_150 $shopname</td></tr><tr><td colspan=\"2\">&nbsp;</td></tr><tr><td style=\"font-weight : bold;text-align : right;padding-right : 20px;\">$lang_151</td><td style=\"font-size : 10px;text-align : left;\"><input type=\"text\" name=\"contact_name\" class=\"input\" value=\"$contact_name\" /></td></tr>\n";
		echo "<tr><td style=\"font-weight : bold;text-align : right;padding-right : 20px;\">$lang_10</td><td style=\"font-size : 10px;text-align : left;\"><input type=\"text\" name=\"contact_email\" onfocus=\"clearcontactform();\" class=\"input\" value=\"$contact_email\" /></td></tr>\n";
		echo "<tr><td style=\"font-weight : bold;text-align : right;padding-right : 20px;\">$lang_152</td><td style=\"font-size : 10px;text-align : left;\"><input type=\"text\" name=\"contact_subject\" class=\"input\" value=\"$contact_subject\" /></td></tr>\n";
		echo "<tr><td style=\"font-weight : bold;text-align : right;padding-right : 20px;\">$lang_153</td><td style=\"font-size : 10px;text-align : left;\"><textarea class=\"input\" name=\"contact_message\" cols=\"20\" rows=\"5\">$contact_message</textarea></td></tr>\n";
		if ($usecaptcha) {
			echo "<tr><td style=\"text-align : right;padding-right : 10px;\">$lang_107</td><td style=\"text-align : left;\"><img src=\"digitalshop.php?captchaimage=1\" alt=\"code\" style=\"border : 1px;border-color : #000000;border-style : solid;width : 178px;height : 42px;\" /></td></tr>\n";
			echo "<tr><td style=\"text-align : right;padding-right : 10px;\">$lang_106</td><td style=\"text-align : left;\"><input type=\"text\" name=\"contact_captcha\" class=\"input\" value=\"\" size=\"10\" maxlength=\"5\" /></td></tr>\n";   
			echo "<tr><td colspan=\"2\">&nbsp;</td></tr>\n";
			if ($captchaerror!='') {
			        echo "<tr><td colspan=\"2\" style=\"font-weight : bold;text-align : center;color : #FF0000;\">$captchaerror</td></tr>\n";        
			        echo "<tr><td colspan=\"2\">&nbsp;</td></tr>\n";            
			}
		} else {
			echo "<tr><td colspan=\"2\"><input type=\"hidden\" name=\"contact_captcha\" value=\"disabled\" />&nbsp;</td></tr>\n";
			$_SESSION['contactcaptchacode']='disabled';
		}		
		
		echo "<tr><td colspan=\"2\">&nbsp;</td></tr><tr><td colspan=\"2\" style=\"text-align : center\"><input type=\"button\" name=\"contactform\" value=\"$lang_154\" class=\"button\" onclick =\"validatecontact();\" onmouseover=\"this.style.cursor='pointer'\" /></td></tr>\n";	
	}
	echo "</table></form>\n";

} else if (isset($_REQUEST['sitemap']) && $show_sitemap) {

	$query="SELECT id, name, descr, title, price, disc FROM digitalshop WHERE price > 0 ORDER by name";
        $result=mysql_query($query);
	if ($result && $allowrating)
		echo "<table class=\"contenttable\" style=\"width : 100%;\"><tr><td style=\"vertical-align : top;text-align : left;padding-left : 10px;font-weight : bold;\" nowrap=\"nowrap\">$lang_01</td><td style=\"vertical-align : top;text-align : left;font-weight : bold;\">$lang_02</td><td style=\"vertical-align : top;text-align : left;font-weight : bold;width : 90px;\" nowrap=\"nowrap\">$lang_96</td><td style=\"vertical-align : top;text-align : right;padding-right : 10px;font-weight : bold;width : 90px;\" nowrap=\"nowrap\">$lang_03 $currency</td></tr><tr><td colspan=\"4\">&nbsp;</td></tr>\n";
	else
		echo "<table class=\"contenttable\" style=\"width : 100%;\"><tr><td style=\"vertical-align : top;text-align : right;padding-right : 20px;font-weight : bold;\" nowrap=\"nowrap\">$lang_01</td><td style=\"vertical-align : top;text-align : left;font-weight : bold;\">$lang_02</td><td style=\"vertical-align : top;text-align : right;font-weight : bold;width : 90px;\" nowrap=\"nowrap\">$lang_03 $currency</td><td style=\"vertical-align : top;text-align : right;font-weight : bold;\" nowrap=\"nowrap\">&nbsp</td></tr><tr><td colspan=\"4\">&nbsp;</td></tr>\n";
	if ($result && mysql_num_rows($result)) {
		while ($row=mysql_fetch_array($result)) {
			if ($row[disc]>0) {
				if (intval($row[disc])!=100) {
                                        $row[price]=$row[price]-($row[price]*($row[disc]/100));
					$row[price]="(-/- $row[disc]%) " . number_format(floatval($row[price]),2,'.','');
                                } else {
					$row[price]=$lang_80;
				}

			} 
			if ($row[title]=='') {$row[title]=strip_tags(substr($row[descr],0,40)).' ...';}
			$titlepopup='';
			$displayname=$row[name];
			if (strlen($row[name])>$readmoremenu && $_SESSION['screenwidth']<=1024) {
				$titlepopup="title=\"$row[name]\"";				
				$displayname=substr($row[name],0,$readmoremenu).'..';
				$displayname=strtoupper(substr($displayname,0,1)) . substr($displayname,1);
			}
			if ($row[price]=='0.01') {$row[price]=$lang_160;}
			$rating='--';
			if ($allowrating) {
				$queryrating="SELECT COUNT(id) as votes, SUM(vote) AS rating FROM digitalshoprating WHERE prodid = '$row[id]'";
				$resultrating=mysql_query($queryrating);
				if ($resultrating && mysql_num_rows($resultrating)) {
					$rowrating=mysql_fetch_array($resultrating);
					$votes=$rowrating[votes];
                                        if ($votes>0)
                                                $stars=round($rowrating[rating]/$votes);
                                        else
                                                $stars=0;
				} else {
					$stars=0;
					$votes=0;
				}
				$rating="<div class=\"footer\" style=\"width : 100%;text-align : left;\">";
				for ($i=1;$i<=5;$i++) {
					if ($i<=$stars)
						$rating=$rating."<img src=\"shopgfx/stargoldsmall.png\" title=\"$lang_96\" alt=\"$lang_96\" style=\"border : 0px;\" />";
					if ($i>$stars)
						$rating=$rating."<img src=\"shopgfx/stargreysmall.png\" title=\"$lang_96\" alt=\"$lang_96\" style=\"border : 0px;\" />";
				}
				$rating.="</div>";
			}
			if ($allowrating)
				echo "<tr onmouseover=\"this.bgColor='$highlightcolor';\" onmouseout=\"this.bgColor='$shopcolor';\"><td style=\"vertical-align : top;text-align : left;padding-left : 10px;\" nowrap=\"nowrap\"><a href=\"digitalshop.php?p=$row[name]&amp;sitemap=1\" $titlepopup>$displayname</a></td><td style=\"vertical-align : top;text-align : left;\">" . stripslashes($row[title]) . "</td><td style=\"vertical-align : top;text-align : right;padding-right : 10px;\" nowrap=\"nowrap\">$rating</td><td style=\"vertical-align : top;text-align : right;padding-right : 10px;\" nowrap=\"nowrap\">$row[price]</td></tr>\n";
			else
				echo "<tr onmouseover=\"this.bgColor='$highlightcolor';\" onmouseout=\"this.bgColor='$shopcolor';\"><td style=\"vertical-align : top;text-align : right;padding-right : 20px;\" nowrap=\"nowrap\"><a href=\"digitalshop.php?p=$row[name]&amp;sitemap=1\" $titlepopup>$displayname</a></td><td style=\"vertical-align : top;text-align : left;\">" . stripslashes($row[title]) . "</td><td style=\"vertical-align : top;text-align : right;padding-right : 75px;\" nowrap=\"nowrap\">$row[price]</td><td style=\"vertical-align : top;text-align : right;\" nowrap=\"nowrap\">&nbsp;</td></tr>\n";
		}
	} else {
		echo "<tr><td colspan=\"4\">$shopname $lang_04</td></tr>\n";
	}
	echo "<tr><td colspan=\"4\">&nbsp;</td></tr></table>\n";

} else if (isset($_REQUEST['search']) && $show_search) {

        // Show shop content based on search result
	$_SESSION['start']=1;
	$search=mysql_real_escape_string($_REQUEST['search']);
	$query="SELECT id, name, descr, price, disc, title FROM digitalshop WHERE name LIKE '%$search%' OR title LIKE '%$search%' OR descr LIKE '%$search%'";
	$result=mysql_query($query);
	if ($result && mysql_num_rows($result)) {
		if ($allowrating)
			echo "<table class=\"contenttable\" style=\"width : 100%;\"><tr><td style=\"vertical-align : top;text-align : left;padding-left : 10px;font-weight : bold;\" nowrap=\"nowrap\">$lang_01</td><td style=\"vertical-align : top;text-align : left;font-weight : bold;\">$lang_02</td><td style=\"vertical-align : top;text-align : left;font-weight : bold;\" nowrap=\"nowrap\">$lang_96</td><td style=\"vertical-align : top;text-align : right;padding-right : 10px;font-weight : bold;\" nowrap=\"nowrap\">$lang_03 $currency</td></tr><tr><td colspan=\"4\">&nbsp;</td></tr>\n";
		else
			echo "<table class=\"contenttable\" style=\"width : 100%;\"><tr><td style=\"vertical-align : top;text-align : right;padding-right : 20px;font-weight : bold;\" nowrap=\"nowrap\">$lang_01</td><td style=\"vertical-align : top;text-align : left;font-weight : bold;\">$lang_02</td><td style=\"vertical-align : top;text-align : right;font-weight : bold;padding-right : 75px;\" nowrap=\"nowrap\">$lang_03 $currency</td><td style=\"vertical-align : top;text-align : right;font-weight : bold;\" nowrap=\"nowrap\">&nbsp</td></tr><tr><td colspan=\"4\">&nbsp;</td></tr>\n";
		while ($row=mysql_fetch_array($result)) {
			if ($row[disc]>0) {
				if (intval($row[disc])!=100) {
                                        $row[price]=$row[price]-($row[price]*($row[disc]/100));
					$row[price]="(-/- $row[disc]%) " . number_format(floatval($row[price]),2,'.','');
                                } else {
					$row[price]=$lang_80;
				}

			} 
			if ($row[title]=='') {$row[title]=strip_tags(substr($row[descr],0,40)).' ...';}
			if ($row[price]=='0.01') {$row[price]=$lang_160;}
			$rating='--';
			if ($allowrating) {
				$queryrating="SELECT COUNT(id) as votes, SUM(vote) AS rating FROM digitalshoprating WHERE prodid = '$row[id]'";
				$resultrating=mysql_query($queryrating);
				if ($resultrating && mysql_num_rows($resultrating)) {
					$rowrating=mysql_fetch_array($resultrating);
					$votes=$rowrating[votes];
                                        if ($votes>0)
                                                $stars=round($rowrating[rating]/$votes);
                                        else
                                                $stars=0;
				} else {
					$stars=0;
					$votes=0;
				}
				$rating="<div class=\"footer\" style=\"width : 100%;text-align : left;\">";
				for ($i=1;$i<=5;$i++) {
					if ($i<=$stars)
						$rating=$rating."<img src=\"shopgfx/stargoldsmall.png\" title=\"$lang_96\" alt=\"$lang_96\" style=\"border : 0px;\" />";
					if ($i>$stars)
						$rating=$rating."<img src=\"shopgfx/stargreysmall.png\" title=\"$lang_96\" alt=\"$lang_96\" style=\"border : 0px;\" />";
				}
				$rating.="</div>";
			}
			if ($allowrating)
				echo "<tr onmouseover=\"this.bgColor='$highlightcolor';\" onmouseout=\"this.bgColor='$shopcolor';\"><td style=\"vertical-align : top;text-align : left;padding-left : 10px;\" nowrap=\"nowrap\"><a href=\"digitalshop.php?p=$row[name]\">$row[name]</a></td><td style=\"vertical-align : top;text-align : left;\">" . stripslashes($row[title]) . "</td><td style=\"vertical-align : top;text-align : right;padding-right : 10px;\" nowrap=\"nowrap\">$rating</td><td style=\"vertical-align : top;text-align : right;padding-right : 10px;\" nowrap=\"nowrap\">" . number_format(floatval($row[price]),2,'.','') . "</td></tr>\n";
			else
				echo "<tr onmouseover=\"this.bgColor='$highlightcolor';\" onmouseout=\"this.bgColor='$shopcolor';\"><td style=\"vertical-align : top;text-align : right;padding-right : 20px;\" nowrap=\"nowrap\"><a href=\"digitalshop.php?p=$row[name]\">$row[name]</a></td><td style=\"vertical-align : top;text-align : left;\">" . stripslashes($row[title]) . "</td><td style=\"vertical-align : top;text-align : right;padding-right : 75px;\" nowrap=\"nowrap\">" . number_format(floatval($row[price]),2,'.','') . "</td><td style=\"vertical-align : top;text-align : right;\" nowrap=\"nowrap\">&nbsp;</td></tr>\n";
		}
	} else {
		echo "<table class=\"contenttable\" style=\"width : 100%;\">\n";
		echo "<tr><td colspan=\"4\">&nbsp;</td></tr>\n";
		$lang_138=str_replace('[search]',$search,$lang_138);
		echo "<tr><td colspan=\"4\" style=\"text-align : center;\">$lang_138</td></tr>\n";
		if ($iframe) {
			echo "<tr><td colspan=\"4\">&nbsp;</td></tr>\n";
			echo "<tr><td colspan=\"4\" style=\"text-align : center;\"><input type=\"button\" value=\"$lang_137\" class=\"button\" onclick=\"location.href=('inc/search.php');\" onmouseover=\"this.style.cursor='pointer'\" /></td></tr>\n";
			echo "<tr><td colspan=\"4\">&nbsp;</td></tr>\n";
		}
	}
	echo "<tr><td colspan=\"4\">&nbsp;</td></tr></table>\n";

} else {
        
        // Show shop content 
        if ($_SESSION['start']<0) {$_SESSION['start']=1;}
        $offset=($_SESSION['start']-1)*$results_page;
        $querycat='';$subquery='';
        if ($_SESSION['category']>=0) {
                if (array_key_exists($_SESSION['category'],$_SESSION['menu'])) {
                        $cat=$_SESSION['menu'][$_SESSION['category']];
                        $querycat="AND category LIKE '" . mysql_real_escape_string($cat[0]) . "' OR subcat LIKE '" . mysql_real_escape_string($cat[0]) . "'";
			$subquery="WHERE category LIKE '" . mysql_real_escape_string($cat[0]) . "' AND subcat!=''";
                        $newcategory=$_SESSION['category'];
                } else {
			$_SESSION['category']=-1;$newcategory=-1;
		}
        } else {
                $_SESSION['category']=-1;$newcategory=-1;
        }
        // Determine if the category has subcategories
	$querysubcat="SELECT DISTINCT category, subcat FROM digitalshop $subquery ORDER BY category, subcat";$resultsubcat=mysql_query($querysubcat);
	$subcat=array();
	if ($resultsubcat && mysql_num_rows($resultsubcat)) {
		while ($rowsubcat=mysql_fetch_array($resultsubcat)) {
			$subcat[]=$rowsubcat[subcat];
		}
	}
        if ($_SESSION['category']!=-1 && count($subcat)>0) {
        	// Show all SUB categories as icons
                $columns=3;$column=0;$width=floor($shopwidth/$columns);
                if (count($subcat)<$columns) {$columns=count($subcat);}
                echo "<table class=\"contenttable\" style=\"width : 100%;\" cellpadding=\"15\">\n";
		echo "<tr>" . str_repeat("<td style=\"width : " . intval(100/$columns) . "%;\">&nbsp;</td>",$columns) . "</tr>\n";
                foreach($_SESSION['menu'] as $key => $url) {
			if (in_array($url[0],$subcat)) {
				if ($column==0) {echo "<tr>";}
				if (array_key_exists($url[0],$lang_00)) {$cat_newname=$lang_00[$url[0]];} else {$cat_newname=$url[0];}
				if (file_exists('gfx/' . $url[0] . '.png') || file_exists('gfx/' . $url[0] . '.jpg') || file_exists('gfx/' . $url[0] . '.gif')) {
					if (file_exists('gfx/' . $url[0] . '.png'))
						echo "<td style=\"text-align : center;\" onmouseover=\"this.bgColor='$highlightcolor';\" onmouseout=\"this.bgColor='$shopcolor';\"><a href=\"digitalshop.php?start=1&amp;category=$key\" style=\"text-decoration : none;\"><img src=\"gfx/" . $url[0] . ".png\" style=\"border : 0px;\" alt=\"icon\" width=\"$iconsizepx\" /><br />$cat_newname</a></td>";
					else if (file_exists('gfx/' . $row[id] . '.jpg'))
						echo "<td style=\"text-align : center;\" onmouseover=\"this.bgColor='$highlightcolor';\" onmouseout=\"this.bgColor='$shopcolor';\"><a href=\"digitalshop.php?start=1&amp;category=$key\" style=\"text-decoration : none;\"><img src=\"gfx/" . $url[0] . ".jpg\" style=\"border : 0px;\" alt=\"icon\" width=\"$iconsizepx\" /><br />$cat_newname</a></td>";
					else
						echo "<td style=\"text-align : center;\" onmouseover=\"this.bgColor='$highlightcolor';\" onmouseout=\"this.bgColor='$shopcolor';\"><a href=\"digitalshop.php?start=1&amp;category=$key\" style=\"text-decoration : none;\"><img src=\"gfx/" . $url[0] . ".gif\" style=\"border : 0px;\" alt=\"icon\" width=\"$iconsizepx\" /><br />$cat_newname</a></td>";
				} else {
					echo "<td style=\"text-align : center;\" onmouseover=\"this.bgColor='$highlightcolor';\" onmouseout=\"this.bgColor='$shopcolor';\"><a href=\"digitalshop.php?start=1&amp;category=$key\" style=\"text-decoration : none;\"><img src=\"shopgfx/directory.png\" style=\"border : 0px;\" alt=\"icon\" width=\"$iconsizepx\" /><br />$cat_newname</a></td>";
				}
				$column+=1;
				if ($column==$columns) {$column=0;echo "</tr>\n";}	
			}
                }
                if ($column<$columns && $column>0)
                	echo str_repeat("<td>&nbsp;</td>",$columns-$column) . "</tr>\n" . "</table>\n";
                else
                	echo "</table>\n";                
        } else if ($_SESSION['view']==0) {
                echo "<table class=\"contenttable\" style=\"width : 100%;\"><tr><td style=\"vertical-align : top;width : " . ($iconsizepx+54) . "px;text-align : left;padding-left : 10px;font-weight : bold;\">&nbsp;</td><td style=\"vertical-align : top;text-align : left;font-weight : bold;\"><a href=\"digitalshop.php?start=" .$_SESSION['start'] . "&amp;category=$newcategory&amp;sort=name\">$lang_01</a></td><td colspan=\"2\" style=\"vertical-align : top;text-align : right;width : " . ($iconsizepx+14) . "px;padding-right : 10px;font-weight : bold;\"><a href=\"digitalshop.php?start=" .$_SESSION['start'] . "&amp;category=$newcategory&amp;sort=price\">$lang_03 $currency</a></td></tr>\n";
                echo "<tr><td colspan=\"4\" style=\"background-color : $shopcolor;\">&nbsp; </td></tr>\n";
                if ($_SESSION['sort']!='price' && $_SESSION['sort']!='name') {$_SESSION['sort']='name';}
        	if ($_SESSION['sort']=='price')
        		$query="SELECT id, name, rname, type, size, descr, price, disc, title FROM digitalshop WHERE price > 0 $querycat ORDER BY price + 0 " . mysql_real_escape_string($_SESSION['sortorder']) . " LIMIT $offset,$results_page";
        	else
        		$query="SELECT id, name, rname, type, size, descr, price, disc, title FROM digitalshop WHERE price > 0 $querycat ORDER BY " . mysql_real_escape_string($_SESSION['sort']) . ' ' . mysql_real_escape_string($_SESSION['sortorder']) . " LIMIT $offset,$results_page";
                $result=mysql_query($query);
                // Check if we have reached the last item in the shop, start again at 1st page
                if ($result && !mysql_num_rows($result)) {
                        if ($_SESSION['sort']=='price')
                        	$query="SELECT id, name, rname, type, size, descr, price, disc, title FROM digitalshop WHERE price > 0 $querycat ORDER BY price + 0 " . mysql_real_escape_string($_SESSION['sortorder']) . " LIMIT 0,$results_page";
                        else
                        	$query="SELECT id, name, rname, type, size, descr, price, disc, title FROM digitalshop WHERE price > 0 $querycat ORDER BY " . mysql_real_escape_string($_SESSION['sort']) . ' ' . mysql_real_escape_string($_SESSION['sortorder']) . " LIMIT 0,$results_page";
                	$result=mysql_query($query);$_SESSION['start']=1;
                }
                if ($result && !mysql_num_rows($result)) {
                	echo "<tr><td colspan=\"4\">&nbsp; </td></tr><tr><td colspan=\"4\" style=\"vertical-align : middle;font-weight : bold;\">$shopname $lang_04</td></tr>\n";	
                } else if ($result) {
                	$hideemptyrow=true;
                	while ($row=mysql_fetch_array($result)) {
                		$filename=html_entity_decode($row[name]);$filesize=intval($row[size]);$units=explode(' ','B KB MB GB TB PB');
                                for ($i=0;$filesize>1024;$i++) {$filesize=$filesize/1024;}
                		$filesize=round($filesize,1).' '.$units[$i];
                		if ($row[price]>0) {
                			if ($hideemptyrow) {$hideemptyrow=false;} else {echo "<tr><td colspan=\"4\">&nbsp; </td></tr>\n";}
                                        $filename=htmlentities($filename);$filesize=htmlentities($filesize);$filetype=htmlentities($row[type]);
        				$productdescription=stripslashes(nl2br($row[descr]));
        				if (substr_count($productdescription,'#?#')>0) {
        					$language_exploded=explode('#?#',$productdescription);
        					$productdescription=$language_exploded[0];
        					foreach($language_exploded as $key => $native) {
        						if (trim($native)==$_SESSION['language']) {
        							$productdescription=$language_exploded[$key+1];
        							break;
        						}
        					}
        				}
        				$title=stripslashes($row[title]);
        				if ($title=='') {$title='';} else {$title='<b>'.$title.'</b><br /><br />';}
        				$productdescription=$title.$productdescription;
                                        $productdescription=preg_replace("/<START>(.*?)<STOP>/","",$productdescription);
					$extension=strtolower(substr($row[name],strrpos($row[name],'.')+1,strlen($row[name])));
        				if (strlen($productdescription)>$readmore || $extension=='mp4' || $extension=='ogv' || $extension=='webm') {
        					$wrapped=wordwrap($productdescription,$readmore,'[cut]',false);
        					$wrappedexploded=explode('[cut]',$wrapped);
                                                if (substr_count($wrappedexploded[0],'"') % 2)
                                                        $wrappedexploded[0].='"';
                                                if (substr_count($wrappedexploded[0],'<')>substr_count($wrappedexploded[0],'>'))
                                                        $wrappedexploded[0].='> ';
                                                $productdescription=restoreTags($wrappedexploded[0]) . "<a href=\"digitalshop.php?start=" . $_SESSION['start'] . "&amp;category=$newcategory&amp;productdetails=$row[id]\" > $lang_78</a>";                                        
        				}
                                        if ($row[disc]>0) {
        					if (intval($row[disc])!=100)
        						$productdescription=$productdescription.'<br /><br /><em>'.$row[disc].'% '.$lang_79.number_format(floatval($row[price]),2,'.','')." $currency </em>";
                                                $row[price]=$row[price]-($row[price]*($row[disc]/100));
                                        }
                                        $rating='';
                                        if ($allowrating) {
                                        	$queryrating="SELECT COUNT(id) as votes, SUM(vote) AS rating FROM digitalshoprating WHERE prodid = '$row[id]'";
                                        	$resultrating=mysql_query($queryrating);
                                        	if ($resultrating && mysql_num_rows($resultrating)) {
                                        		$rowrating=mysql_fetch_array($resultrating);
                                        		$votes=$rowrating[votes];
                                                        if ($votes>0)
                                                                $stars=round($rowrating[rating]/$votes);
                                                        else
                                                                $stars=0;
                                        	} else {
                                        		$stars=0;
                                        		$votes=0;
                                        	}
                                        	$rating="<br /><div class=\"footer\" style=\"width : 100%;text-align : left;\">";
                                        	for ($i=1;$i<=5;$i++) {
                                        		if ($i<=$stars)
                                        			$rating=$rating."<img src=\"shopgfx/stargoldsmall.png\" title=\"$lang_96\" alt=\"$lang_96\" style=\"border : 0px;\" />";
                                        		if ($i>$stars)
                                        			$rating=$rating."<img src=\"shopgfx/stargreysmall.png\" title=\"$lang_96\" alt=\"$lang_96\" style=\"border : 0px;\" />";
                                        	}
                                        	$rating.="</div>";
                                        }
                			if ($shop_infotext) {
						if (strlen($filename)>($readmoremenu+4)) {$filename=wordwrap($filename,$readmoremenu+4,"<br />",true);}
                                                if ($filetype=='Directory') {
                                                        if (file_exists($moveto.$row[rname].'/photoalbum.php') || file_exists($moveto.$row[rname].'/mp3album.php'))
                                                                echo "<tr onmouseover=\"this.bgColor='$highlightcolor';\" onmouseout=\"this.bgColor='$shopcolor';\"><td style=\"vertical-align : top;text-align : left;padding-left : 10px;font-weight : bold;\"><a href=\"digitalshop.php?start=" . $_SESSION['start'] . "&amp;category=$newcategory&amp;productdetails=$row[id]\" title=\"$lang_78\">$filename</a><br />$filesize<br /></td><td style=\"vertical-align : top;text-align : left;\">$productdescription <p><input type=\"button\" value=\"$lang_60\" class=\"button\" onclick=\"location.href=('digitalshop.php?showphotoalbum=$row[id]&amp;page=1');\" onmouseover=\"this.style.cursor='pointer'\" /></p></td><td style=\"vertical-align : top;text-align : right;padding-right : 10px;font-weight : bold;font-size : 13px;\" nowrap=\"nowrap\" colspan=\"2\"><a href=\"digitalshop.php?showphotoalbum=$row[id]&amp;page=1\">". number_format(floatval($row[price]),2,'.',',') . "<br />$lang_05</a></td></tr>\n";
                                                        else
                                                                echo "<tr onmouseover=\"this.bgColor='$highlightcolor';\" onmouseout=\"this.bgColor='$shopcolor';\"><td style=\"vertical-align : top;text-align : left;padding-left : 10px;font-weight : bold;\"><a href=\"digitalshop.php?start=" . $_SESSION['start'] . "&amp;category=$newcategory&amp;productdetails=$row[id]\" title=\"$lang_78\">$filename</a><br />$filesize<br /></td><td style=\"vertical-align : top;text-align : left;\">$productdescription <p><input type=\"button\" value=\"$lang_60\" class=\"button\" onclick=\"location.href=('digitalshop.php?start=1&amp;category=-1&amp;productdetails=$row[id]');\" onmouseover=\"this.style.cursor='pointer'\" /></p></td><td style=\"vertical-align : top;text-align : right;padding-right : 10px;font-weight : bold;font-size : 13px;\" nowrap=\"nowrap\" colspan=\"2\"><a href=\"digitalcart.php?id=$row[id]\">". number_format(floatval($row[price]),2,'.',',') . "<br />$lang_05</a></td></tr>\n";
                                                } else {
                               				echo "<tr onmouseover=\"this.bgColor='$highlightcolor';\" onmouseout=\"this.bgColor='$shopcolor';\"><td style=\"vertical-align : top;text-align : left;padding-left : 10px;font-weight : bold;\"><a href=\"digitalshop.php?start=" . $_SESSION['start'] . "&amp;category=$newcategory&amp;productdetails=$row[id]\" title=\"$lang_78\">$filename</a><br />$filesize<br /></td><td style=\"vertical-align : top;text-align : left;\">$productdescription</td><td style=\"vertical-align : top;text-align : right;padding-right : 10px;font-weight : bold;font-size : 13px;\" nowrap=\"nowrap\" colspan=\"2\"><a href=\"digitalcart.php?id=$row[id]\">". number_format(floatval($row[price]),2,'.',',') . "<br />$lang_05</a></td></tr>\n";
                                                }
                			} else {
        					if (file_exists('gfx/'.number_format(floatval($row[price]),2,'.','').'.png')) {
        						$pricetag="<img src=\"gfx/". number_format(floatval($row[price]),2,'.','') . ".png\" title=\"$lang_05\" alt=\"icon\" width=\"$iconsizepx\" style=\"border : 0px;\" />";
        					} else {
        						if ($price_as_image)
        							$pricetag="<img src=\"digitalshop.php?pricetag=". number_format(floatval($row[price]),2,'.',',') ."\" title=\"$lang_05\" alt=\"icon\" width=\"$iconsizepx\" style=\"border : 0px;\" />";
        						else
        							$pricetag="<span style=\"font-weight : bold;font-size : 13px;\"><br /><br />$currency ". number_format(floatval($row[price]),2,'.',',') ."<br />$lang_05</span>";
        					}				
                                                if ((!file_exists('gfx/' . $row[id] . '.png') && !file_exists('gfx/' . $row[id] . '.jpg') && !file_exists('gfx/' . $row[id] . '.gif'))) {
                                                        if ($filetype=='Directory') {
                                                                if (file_exists($moveto.$row[rname].'/photoalbum.php') || file_exists($moveto.$row[rname].'/mp3album.php')) {
									if (file_exists($moveto.$row[rname].'/photoalbum.php'))
										echo "<tr onmouseover=\"this.bgColor='$highlightcolor';\" onmouseout=\"this.bgColor='$shopcolor';\"><td style=\"vertical-align : top;text-align : left;padding-left : 10px;\"><a href=\"digitalshop.php?start=" . $_SESSION['start'] . "&amp;category=$newcategory&amp;productdetails=$row[id]\" title=\"$filename\"><img src=\"shopgfx/photoalbum.png\" title=\"$lang_60\" alt=\"icon\" width=\"$iconsizepx\" style=\"border : 0px;\" />$rating</a></td><td style=\"vertical-align : top;text-align : left;\">$productdescription <p><input type=\"button\" value=\"$lang_60\" class=\"button\" onclick=\"location.href=('digitalshop.php?showphotoalbum=$row[id]&amp;page=1');\" onmouseover=\"this.style.cursor='pointer'\" /></p></td><td style=\"vertical-align : top;text-align : right;padding-right : 10px;\" colspan=\"2\"><a href=\"digitalshop.php?showphotoalbum=$row[id]&amp;page=1\">$pricetag</a></td></tr>\n";
									else
										echo "<tr onmouseover=\"this.bgColor='$highlightcolor';\" onmouseout=\"this.bgColor='$shopcolor';\"><td style=\"vertical-align : top;text-align : left;padding-left : 10px;\"><a href=\"digitalshop.php?start=" . $_SESSION['start'] . "&amp;category=$newcategory&amp;productdetails=$row[id]\" title=\"$filename\"><img src=\"shopgfx/mp3album.png\" title=\"$lang_60\" alt=\"icon\" width=\"$iconsizepx\" style=\"border : 0px;\" />$rating</a></td><td style=\"vertical-align : top;text-align : left;\">$productdescription <p><input type=\"button\" value=\"$lang_60\" class=\"button\" onclick=\"location.href=('digitalshop.php?showphotoalbum=$row[id]&amp;page=1');\" onmouseover=\"this.style.cursor='pointer'\" /></p></td><td style=\"vertical-align : top;text-align : right;padding-right : 10px;\" colspan=\"2\"><a href=\"digitalshop.php?showphotoalbum=$row[id]&amp;page=1\">$pricetag</a></td></tr>\n";
                                                                } else {
                                                                        echo "<tr onmouseover=\"this.bgColor='$highlightcolor';\" onmouseout=\"this.bgColor='$shopcolor';\"><td style=\"vertical-align : top;text-align : left;padding-left : 10px;\"><a href=\"digitalshop.php?start=" . $_SESSION['start'] . "&amp;category=$newcategory&amp;productdetails=$row[id]\" title=\"$filename\"><img src=\"shopgfx/filecollection.png\" title=\"$lang_60\" alt=\"icon\" width=\"$iconsizepx\" style=\"border : 0px;\" />$rating</a></td><td style=\"vertical-align : top;text-align : left;\">$productdescription <p><input type=\"button\" value=\"$lang_60\" class=\"button\" onclick=\"location.href=('digitalshop.php?start=1&amp;category=-1&amp;productdetails=$row[id]');\" onmouseover=\"this.style.cursor='pointer'\" /></p></td><td style=\"vertical-align : top;text-align : right;padding-right : 10px;\" colspan=\"2\"><a href=\"digitalcart.php?id=$row[id]\">$pricetag</a></td></tr>\n";
								}
                                                        } else {
                                                                echo "<tr onmouseover=\"this.bgColor='$highlightcolor';\" onmouseout=\"this.bgColor='$shopcolor';\"><td style=\"vertical-align : top;text-align : left;padding-left : 10px;\"><a href=\"digitalshop.php?start=" . $_SESSION['start'] . "&amp;category=$newcategory&amp;productdetails=$row[id]\" title=\"$filename\"><img src=\"digitalshop.php?fileinfo=$filename&amp;filesize=$filesize&amp;filetype=$filetype\" title=\"$lang_78\" alt=\"icon\" width=\"$iconsizepx\" style=\"border : 0px;\" />$rating</a></td><td style=\"vertical-align : top;text-align : left;\">$productdescription</td><td style=\"vertical-align : top;text-align : right;padding-right : 10px;\" colspan=\"2\"><a href=\"digitalcart.php?id=$row[id]\">$pricetag</a></td></tr>\n";
                                                        }
                                                } else {	
							$icon='gfx/' . $row[id] . '.gif';
							if (file_exists('gfx/' . $row[id] . '.png')) {
								$icon='gfx/' . $row[id] . '.png';
							} else if (file_exists('gfx/' . $row[id] . '.jpg')) {
							        $icon='gfx/' . $row[id] . '.jpg';
							}
                                                        if ($filetype=='Directory') {
                                                                if (file_exists($moveto.$row[rname].'/photoalbum.php') || file_exists($moveto.$row[rname].'/mp3album.php')) {
									echo "<tr onmouseover=\"this.bgColor='$highlightcolor';\" onmouseout=\"this.bgColor='$shopcolor';\"><td style=\"vertical-align : top;text-align : left;padding-left : 10px;\"><a href=\"digitalshop.php?start=" . $_SESSION['start'] . "&amp;category=$newcategory&amp;productdetails=$row[id]\" title=\"$filename\"><img src=\"$icon\" title=\"$lang_60\" alt=\"icon\" width=\"$iconsizepx\" style=\"border : 0px;\" />$rating</a></td><td style=\"vertical-align : top;text-align : left;\">$productdescription <p><input type=\"button\" value=\"$lang_60\" class=\"button\" onclick=\"location.href=('digitalshop.php?showphotoalbum=$row[id]&amp;page=1');\" onmouseover=\"this.style.cursor='pointer'\" /></p></td><td style=\"vertical-align : top;text-align : right;padding-right : 10px;\" colspan=\"2\"><a href=\"digitalshop.php?showphotoalbum=$row[id]&amp;page=1\">$pricetag</a></td></tr>\n";
                                                                } else {
                                                                        echo "<tr onmouseover=\"this.bgColor='$highlightcolor';\" onmouseout=\"this.bgColor='$shopcolor';\"><td style=\"vertical-align : top;text-align : left;padding-left : 10px;\"><a href=\"digitalshop.php?start=" . $_SESSION['start'] . "&amp;category=$newcategory&amp;productdetails=$row[id]\" title=\"$filename\"><img src=\"$icon\" title=\"$lang_60\" alt=\"icon\" width=\"$iconsizepx\" style=\"border : 0px;\" />$rating</a></td><td style=\"vertical-align : top;text-align : left;\">$productdescription <p><input type=\"button\" value=\"$lang_60\" class=\"button\" onclick=\"location.href=('digitalshop.php?start=1&amp;category=-1&amp;productdetails=$row[id]');\" onmouseover=\"this.style.cursor='pointer'\" /></p></td><td style=\"vertical-align : top;text-align : right;padding-right : 10px;\" colspan=\"2\"><a href=\"digitalcart.php?id=$row[id]\">$pricetag</a></td></tr>\n";
								}
                                                        } else {
                                                                echo "<tr onmouseover=\"this.bgColor='$highlightcolor';\" onmouseout=\"this.bgColor='$shopcolor';\"><td style=\"vertical-align : top;text-align : left;padding-left : 10px;\"><a href=\"digitalshop.php?start=" . $_SESSION['start'] . "&amp;category=$newcategory&amp;productdetails=$row[id]\" title=\"$filename\"><img src=\"$icon\" title=\"$lang_78\" alt=\"icon\" width=\"$iconsizepx\" style=\"border : 0px;\" />$rating</a></td><td style=\"vertical-align : top;text-align : left;\">$productdescription</td><td style=\"vertical-align : top;text-align : right;padding-right : 10px;\" colspan=\"2\"><a href=\"digitalcart.php?id=$row[id]\">$pricetag</a></td></tr>\n";
                                                        }
                                                }
                       			}
                		} else if (mysql_num_rows($result)==1) {
                			echo "<tr><td colspan=\"4\">&nbsp; </td></tr><tr><td colspan=\"4\" style=\"text-align : center;font-weight : bold;\">$shopname $lang_04</td></tr>\n";	
                		}
                	}
                }
                // Check amount of pages
                $query="SELECT id FROM digitalshop WHERE price > 0 $querycat";
		$result=mysql_query($query);
		if ($result)
			$rows=mysql_num_rows($result);
		else
			$rows=0;
		$pages=ceil($rows/$results_page);
                if ($pages>1) {
                	echo "<tr><td colspan=\"4\">&nbsp;</td></tr><tr><td colspan=\"4\" style=\"text-align : right;\"><a href=\"digitalshop.php?start=" . ($_SESSION['start']+1) . "&amp;category=$newcategory\"><img src=\"shopgfx/nextpage.png\" style=\"border : 0px;height : 44px;\" alt=\"icon\" /></a></td></tr>\n";
                }
                echo "<tr><td colspan=\"4\">&nbsp;</td></tr></table>\n";
                echo "<table class=\"contenttable\" style=\"width : 100%;\"><tr><td>";
                if ($pages>1) {
                	echo "$lang_08 ";
                	for($page=1;$page<=$pages;$page++) {
                		if ($_SESSION['start']==$page) {
                                        echo "<a href=\"digitalshop.php?start=$page&amp;category=$newcategory\" style=\"text-decoration : underline;\">$page</a> ";
                                } else {
                                        echo "<a href=\"digitalshop.php?start=$page&amp;category=$newcategory\">$page</a> ";
                                }
                	}
                } else {
                	echo "$lang_08 1";
                }
                echo "</td></tr></table>";
        } else {
		// Grid view
		$images=array();
		$titles=array();
		$prices=array();
		$ratings=array();
		$names=array();
		$sizes=array();
		$types=array();
		echo "<table class=\"contenttable\" style=\"width : 100%;\">\n";
        	$query="SELECT id, name, rname, type, size, descr, price, disc, title FROM digitalshop WHERE price > 0 $querycat LIMIT $offset,$results_page";
                $result=mysql_query($query);
                // Check if we have reached the last item in the shop, start again at 1st page
                if ($result && !mysql_num_rows($result)) {
                        $query="SELECT id, name, rname, type, size, descr, price, disc, title FROM digitalshop WHERE price > 0 $querycat LIMIT 0,$results_page";
                	$result=mysql_query($query);$_SESSION['start']=1;
                }
                if ($result && !mysql_num_rows($result)) {
                	echo "<tr><td>&nbsp; </td></tr><tr><td style=\"vertical-align : middle;font-weight : bold;\">$shopname $lang_04</td></tr>\n";	
                } else if ($result) {
                	$hideemptyrow=true;
                	while ($row=mysql_fetch_array($result)) {
                		if ($row[price]>0) {
					$images[]=$row[id];
					$titles[]=substr($row[title],0,$readmoremenu).'..';
					$names[]=$row[name];
					$units=explode(' ','B KB MB GB TB PB');
					$filesize=$row[size];
					for ($i=0;$filesize>1024;$i++) {$filesize=$filesize/1024;}
					$filesize=round($filesize,1).' '.$units[$i];
					$sizes[]=$filesize;
					$types[]=$row[type];
                                        if ($row[disc]>0)
						$row[price]=$row[price]-($row[price]*($row[disc]/100));
					$prices[]="<span style=\"font-weight : bold;font-size : 13px;\">$currency ". number_format(floatval($row[price]),2,'.',',') ."<br />$lang_05</span>";
                                        $rating='';
                                        if ($allowrating) {
                                        	$queryrating="SELECT COUNT(id) as votes, SUM(vote) AS rating FROM digitalshoprating WHERE prodid = '$row[id]'";
                                        	$resultrating=mysql_query($queryrating);
                                        	if ($resultrating && mysql_num_rows($resultrating)) {
                                        		$rowrating=mysql_fetch_array($resultrating);
                                        		$votes=$rowrating[votes];
                                                        if ($votes>0)
                                                                $stars=round($rowrating[rating]/$votes);
                                                        else
                                                                $stars=0;
                                        	} else {
                                        		$stars=0;
                                        		$votes=0;
                                        	}
                                        	$rating="";
                                        	for ($i=1;$i<=5;$i++) {
                                        		if ($i<=$stars)
                                        			$rating=$rating."<img src=\"shopgfx/stargoldsmall.png\" title=\"$lang_96\" alt=\"$lang_96\" style=\"border : 0px; padding-bottom : 5px;\" />";
                                        		if ($i>$stars)
                                        			$rating=$rating."<img src=\"shopgfx/stargreysmall.png\" title=\"$lang_96\" alt=\"$lang_96\" style=\"border : 0px; padding-bottom : 5px;\" />";
                                        	}
                                        	$rating.="</div>";
                                        }
					$ratings[]=$rating;
                		} else if (mysql_num_rows($result)==1) {
                			echo "<tr><td>&nbsp; </td></tr><tr><tdstyle=\"text-align : center;font-weight : bold;\">$shopname $lang_04</td></tr>\n";	
                		}
                	}
                }
		// Display grid
		$column=0;
		$page=$_SESSION['page'];
		$table=explode('x',$tableformat);
		if ($xsmall && $table[0]>3)
			$table[0]=floor(580/$thumbsize)-1;
		$tablesize=$table[0]*$table[1];
		foreach($images as $key => $image) {
			if ($key>=($tablesize*($page-1)) && $key<($tablesize*$page)) {
				if ($column==0) {echo "<tr>";}	
				if ((!file_exists('gfx/' . $image . '.png') && !file_exists('gfx/' . $image . '.jpg') && !file_exists('gfx/' . $image . '.gif'))) {
					if ($types[$key]=='Directory') {
						$icon='shopgfx/filecollection.png';
					} else {
						$icon="digitalshop.php?fileinfo=$names[$key]&amp;filesize=$sizes[$key]&amp;filetype=$types[$key]";
					}
                                } else {	
					$icon='gfx/' . $image . '.gif';
					if (file_exists('gfx/' . $image . '.png')) {
						$icon='gfx/' . $image . '.png';
					} else if (file_exists('gfx/' . $image . '.jpg')) {
						$icon='gfx/' . $image . '.jpg';
					}
                                }                                                       
				echo "<td style=\"font-size : 10px;font-weight : bold;text-align : center;padding-bottom : 5px;\">$titles[$key]<br /><a href=\"digitalshop.php?start=" . $_SESSION['start'] . "&amp;category=$newcategory&amp;productdetails=$images[$key]\" title=\"$filenames[$key]\"><img src=\"$icon\" title=\"$lang_60\" alt=\"icon\" width=\"$iconsizepx\" style=\"border : 0px; padding-top : 5px;padding-bottom : 5px;\" /></a><br />$ratings[$key]<br /><a href=\"digitalcart.php?id=$row[id]\">$prices[$key]</a></td>";
				$column+=1;
				if ($column==$table[0]) {$column=0;echo "</tr>\n";}
			}
		}        
                $lastpageimages=count($images)-($tablesize*($page-1));
		if ($page==ceil(count($images)/$tablesize) && $lastpageimages<$table[0]) {
                        echo "</tr></table>\n";	                                
		} else if  ($column<$table[0] && $column>0) {
			echo str_repeat('<td>&nbsp;</td>',$table[0]-$column) . "</tr>\n" . "</table>\n";
		} else {
			echo "</table>\n";
		}
                // Check amount of pages
                $query="SELECT id FROM digitalshop WHERE price > 0 $querycat";
		$result=mysql_query($query);
		if ($result)
			$rows=mysql_num_rows($result);
		else
			$rows=0;
		$pages=ceil($rows/$results_page);
                if ($pages>1) {
                	echo "<table class=\"contenttable\" style=\"width : 100%;\"><tr><td>&nbsp;</td></tr><tr><td style=\"text-align : right;\"><a href=\"digitalshop.php?start=" . ($_SESSION['start']+1) . "&amp;category=$newcategory\"><img src=\"shopgfx/nextpage.png\" style=\"border : 0px;height : 44px;\" alt=\"icon\" /></a></td></tr><tr><td>&nbsp;</td></tr></table>\n";
                }
                echo "<table class=\"contenttable\" style=\"width : 100%;\"><tr><td>";
                if ($pages>1) {
                	echo "$lang_08 ";
                	for($page=1;$page<=$pages;$page++) {
                		if ($_SESSION['start']==$page) {
                                        echo "<a href=\"digitalshop.php?start=$page&amp;category=$newcategory\" style=\"text-decoration : underline;\">$page</a> ";
                                } else {
                                        echo "<a href=\"digitalshop.php?start=$page&amp;category=$newcategory\">$page</a> ";
                                }
                	}
                } else {
                	echo "$lang_08 1";
                }
                echo "</td></tr></table>";
	}
}

if (isset($_REQUEST['productdetails']) && !isset($_REQUEST['sitemap'])) {
	echo "<table style=\"width : 100%;\"><tr><td>&nbsp;</td></tr><tr><td style=\"text-align : left;\"><input type=\"button\" value=\"$lang_12\" class=\"button\" onclick=\"location.href=('digitalshop.php?start=". $_SESSION['start'] . "&amp;category=" . $_SESSION['category'] . "&amp;showphotoalbum=0');\" onmouseover=\"this.style.cursor='pointer'\" /></td></tr></table>\n";
} else if (isset($_REQUEST['productdetails']) && isset($_REQUEST['sitemap'])) {	
	echo "<table style=\"width : 100%;\"><tr><td>&nbsp;</td></tr><tr><td style=\"text-align : left;\"><input type=\"button\" value=\"$lang_12\" class=\"button\" onclick=\"location.href=('digitalshop.php?sitemap=1');\" onmouseover=\"this.style.cursor='pointer'\" /></td></tr></table>\n";
} else if (!($_SESSION['start']==0 && $_SESSION['category']==0) || $_SESSION['showphotoalbum']!=0) {
	echo "<table style=\"width : 100%;\"><tr><td>&nbsp;</td></tr><tr><td style=\"text-align : left;\"><input type=\"button\" value=\"$lang_27\" class=\"button\" onclick=\"location.href=('digitalshop.php?start=0&amp;category=0&amp;showphotoalbum=0');\" onmouseover=\"this.style.cursor='pointer'\" /></td></tr></table>\n";
}

// ******************
// End main content

// Insert the page footer
require_once('inc/footer.php');

// Functions

function filenote($filename,$size,$type) {
	global $shop_fileinfocolor,$shop_filenamecolor,$fileinfosize,$filenamesize,$fileinfoy,$filenamey;
        if ($type=='Directory') {
                $extension='*.*';$filename=strtoupper($filename);
        } else {
                $extension=strtoupper(substr($filename,strrpos($filename,'.'),strlen($filename)));$filename=strtoupper(substr($filename,0,strlen($filename)-strlen($extension)));
        }
	$im=imagecreatefrompng('shopgfx/filetype.png');
	$fileinfocolor=imagecolorallocate($im,hexdec(substr($shop_fileinfocolor,1,2)),hexdec(substr($shop_fileinfocolor,3,2)),hexdec(substr($shop_fileinfocolor,5,2)));
	$filenamecolor=imagecolorallocate($im,hexdec(substr($shop_filenamecolor,1,2)),hexdec(substr($shop_filenamecolor,3,2)),hexdec(substr($shop_filenamecolor,5,2)));
        $width=imagettfbbox($fileinfosize,0,'shopfonts/filetype.ttf',$size);$x=floor((imagesx($im)-$width[2])/2);
        imagettftext($im,$fileinfosize,0,$x,$fileinfoy,$fileinfocolor,'shopfonts/filetype.ttf',$size);
        $width=imagettfbbox($filenamesize,0,'shopfonts/filetype.ttf','W');$fw=$width[2]+0.5;$h=$width[5]*-1;
        $txt=explode("\n",wordwrap($filename,ceil(imagesx($im)/$fw),"\n",true));$y=$filenamey;
        foreach ($txt as $text) {
          $width=imagettfbbox($filenamesize,0,'shopfonts/filetype.ttf',$text);$x=floor((imagesx($im)-$width[2])/2);
          imagettftext($im,$filenamesize,0,$x,$y,$filenamecolor,'shopfonts/filetype.ttf',$text);$y=$y+floor($h*1.5);
        }
	header("Content-type: image/png");imagepng($im);
}

function softwarebox($filename,$size,$type) {
	global $shop_fileinfocolor,$shop_filenamecolor,$fileinfosize,$filenamesize;
        $bordercolor='#FFFFFF';$bordercardcolor='#000000';$bgcolor='#FAFAFA';$cardcolor='#CCCCCC';$deformstrength='80';
        if ($type=='Directory') {
                $extension='*.*';$filename=strtoupper($filename);
        } else {
                $extension=strtoupper(substr($filename,strrpos($filename,'.'),strlen($filename)));$filename=strtoupper(substr($filename,0,strlen($filename)-strlen($extension)));
        }        
        // Create box cover
	$card_left=imagecreatetruecolor(96,126);
	imagefill($card_left,0,0,imagecolorallocate($card_left,hexdec(substr($bordercolor,1,2)),hexdec(substr($bordercolor,3,2)),hexdec(substr($bordercolor,5,2))));
	imagerectangle($card_left,0,0,imagesx($card_left)-1,imagesy($card_left)-1,imagecolorallocate($card_left,hexdec(substr($bordercardcolor,1,2)),hexdec(substr($bordercardcolor,3,2)),hexdec(substr($bordercardcolor,5,2))));
	$filenamecolor=imagecolorallocate($card_left,hexdec(substr($shop_filenamecolor,1,2)),hexdec(substr($shop_filenamecolor,3,2)),hexdec(substr($shop_filenamecolor,5,2)));
        $width=imagettfbbox($filenamesize,0,'shopfonts/filetype.ttf','W');$fw=$width[2];$h=abs($width[5]);
        $txt=explode("\n",wordwrap($filename,ceil(imagesx($card_left)/$fw),"\n",true));$y=$h*3;
        foreach ($txt as $text) {
                $width=imagettfbbox($filenamesize,0,'shopfonts/filetype.ttf',$text);$x=floor((imagesx($card_left)-$width[2])/2);
                imagettftext($card_left,$filenamesize,0,$x,$y,$filenamecolor,'shopfonts/filetype.ttf',$text);$y=$y+$h*2;
        }  
        $width=imagettfbbox($fileinfosize,0,'shopfonts/filetype.ttf',$extension);$x=ceil((imagesx($card_left)-$width[2])/2);
        $fileinfocolor=imagecolorallocate($card_left,hexdec(substr($shop_fileinfocolor,1,2)),hexdec(substr($shop_fileinfocolor,3,2)),hexdec(substr($shop_fileinfocolor,5,2)));
	imagettftext($card_left,$fileinfosize,0,$x,imagesy($card_left)-$h*2,$fileinfocolor,'shopfonts/filetype.ttf',$extension);
	$card_left_deformed=imagecreatetruecolor(imagesx($card_left),imagesy($card_left));
	imagefill($card_left_deformed,0,0,imagecolorallocate($card_left_deformed,hexdec(substr($bgcolor,1,2)),hexdec(substr($bgcolor,3,2)),hexdec(substr($bgcolor,5,2))));			
	for ($c=0;$c<(imagesx($card_left)+1);$c++) {
		$length=$c*(((imagesy($card_left)*((100-$deformstrength)/100))/2)/imagesx($card_left));
		imagecopyresampled($card_left_deformed,$card_left,$c,$length,$c,0,1,imagesy($card_left)-2*$length,1,imagesy($card_left));
	}
	// Create side
	$card_right=imagecreatetruecolor(25,126);
	imagefill($card_right,0,0,imagecolorallocate($card_right,hexdec(substr($cardcolor,1,2)),hexdec(substr($cardcolor,3,2)),hexdec(substr($cardcolor,5,2))));
        imagerectangle($card_right,0,0,imagesx($card_right)-1,imagesy($card_right)-1,imagecolorallocate($card_right,hexdec(substr($bordercardcolor,1,2)),hexdec(substr($bordercardcolor,3,2)),hexdec(substr($bordercardcolor,5,2))));					
	$fileinfocolor=imagecolorallocate($card_right,hexdec(substr($shop_fileinfocolor,1,2)),hexdec(substr($shop_fileinfocolor,3,2)),hexdec(substr($shop_fileinfocolor,5,2)));
        $height=imagettfbbox($fileinfosize,-90,'shopfonts/filetype.ttf',$size);$h=$height[5];
	imagettftext($card_right,$fileinfosize,-90,5,floor((126-$h)/2),$fileinfocolor,'shopfonts/filetype.ttf',$size);
	$card_right_deformed=imagecreatetruecolor(imagesx($card_right),imagesy($card_right));
	imagefill($card_right_deformed,0,0,imagecolorallocate($card_right_deformed,hexdec(substr($bgcolor,1,2)),hexdec(substr($bgcolor,3,2)),hexdec(substr($bgcolor,5,2))));			
	for ($c=0;$c<(imagesx($card_right)+1);$c++) {
                $length=(imagesx($card_right)-$c)*(((imagesy($card_right)*((100-$deformstrength)/100))/2)/imagesx($card_right));
                imagecopyresampled($card_right_deformed,$card_right,$c,$length,$c,0,1,imagesy($card_right)-2*$length,1,imagesy($card_right));
        }
        $box=imagecreatetruecolor(120,125);
        imagecopyresampled($box,$card_right_deformed,0,0,0,0,imagesx($card_right),imagesy($card_right),imagesx($card_right),imagesy($card_right));			
        imagecopyresampled($box,$card_left_deformed,24,0,0,0,imagesx($card_left),imagesy($card_left),imagesx($card_left),imagesy($card_left));
        $red=imagecolorresolve($box,255,0,0);imagecolortransparent($box,$red);
        imagedestroy($card_right);imagedestroy($card_left);imagedestroy($card_right_deformed);imagedestroy($card_left_deformed);
	header("Content-type: image/png");imagepng($box);
}

function pricetag($price) {
	global $tagx,$tagy,$tagsize,$pricecolor,$write_text,$lang_80,$lang_05,$lang_160;
        if ($price=='0.00') {$price=$lang_80;}
	if ($price=='0.01') {$price=$lang_160;}
	$im=imagecreatefrompng('shopgfx/pricetag.png');$tagcolor=imagecolorallocate($im,hexdec(substr($pricecolor,1,2)),hexdec(substr($pricecolor,3,2)),hexdec(substr($pricecolor,5,2)));
	$width=imagettfbbox($tagsize,0,'shopfonts/pricefont.ttf',$price);$x=ceil((imagesx($im)-$width[2])/2);
	imagettftext($im,$tagsize,0,$x+$tagx,$tagy,$tagcolor,'shopfonts/pricefont.ttf',$price);
	if ($write_text) {
		// Buy now! tag
		$lines=explode(' ',$lang_05);
		for ($c=0;$c<count($lines);$c++) {
			imagestring($im,2,5,imagesy($im)-((count($lines)-$c)*15),$lines[$c],$tagcolor);
		}
	}
	header("Content-type: image/png");imagepng($im);
}

function restoreTags($input) {
        $opened = array();
        if(preg_match_all("/<(\/?[a-z]+)>?/i", $input, $matches)) {
                foreach($matches[1] as $tag) {
                        if(preg_match("/^[a-z]+$/i", $tag, $regs)) {
                                if(strtolower($regs[0]) != 'br')
                                        $opened[] = $regs[0];
                        } elseif(preg_match("/^\/([a-z]+)$/i", $tag, $regs)) {
                                unset($opened[array_pop(array_keys($opened, $regs[1]))]);
                        }
                }
        }
        if($opened) {
                $tagstoclose = array_reverse($opened);
                foreach($tagstoclose as $tag) $input .= "</$tag>";
        }
        return $input;
}

function contactmail($mailto,$mailfrom,$contactemail,$subject,$emailmessage) {
	
	global $email_rewrite,$shopcolor,$pagecolor,$textcolor,$shopurl,$show_header,$headeremailimage,$iframe;
	if ($email_rewrite) {
		$mailto=substr($mailto,0,strpos($mailto,'@')) . " <". $mailto . ">";
		$mailfrom=substr($mailfrom,0,strpos($mailfrom,'@')) . " <$mailfrom>";
	}
	$linkimage=$shopurl . '/shopgfx';
	if ($iframe)
		$shopcolor='#FAFAFA';
	$headers="From: $mailfrom\r\n";
	$headers.="Reply-to: $contactemail\r\n";
	$bound_text=md5(uniqid(time()));
	$headers.="MIME-Version: 1.0\r\n" . "Content-Type: multipart/alternative; boundary=\"$bound_text\"\r\n";
	$message="--$bound_text\r\n"
		."Content-Type: text/plain; charset=\"UTF-8\"\r\n"
		."Content-Transfer-Encoding: 7bit\r\n\r\n"	
		.stripslashes($emailmessage) . "\r\n"
		." \r\n\r\n"
		."--$bound_text\r\n"	
		."Content-Type: text/html; charset=\"UTF-8\"\r\n"
		."Content-Transfer-Encoding: 7bit\r\n\r\n"	
		."<html><head><title></title></head><body><center>"
		."<table  border=\"0\" width=\"630\" cellpadding=\"0\" cellspacing=\"0\" style=\"max-width:630px; margin: 0 auto;\"><tr><td>"
                ."<table style=\"border : 0px;width : 100%;\" cellspacing=\"0\" cellpadding=\"0\"><tr><td width=\"39px\" height=\"39px\" background=\"$linkimage/lt.gif\" >&nbsp;</td><td height=\"39px\" background=\"$linkimage/tabletop.gif\" >&nbsp;</td>"
                ."<td width=\"39px\" height=\"39px\" background=\"$linkimage/rt.gif\" >&nbsp;</td></tr><tr><td width=\"39px\" background=\"$linkimage/tableleft.gif\" >&nbsp;</td><td style=\"background-color : $shopcolor\">";
        if ($show_header)
                $message.="<table style=\"width : 100%;\"><tr><td style=\"text-align : center;width : 100%;\"><img src=\"$linkimage/$headeremailimage\" style=\"padding-bottom : 20px;border : 0px;\" /></td></tr></table>";
        $message.="<table><tr><td style=\"font-family: Verdana, Helvetica, Arial, sans-serif; padding-left : 20px;font-size : 12px; color: $textcolor;\">" . stripslashes(nl2br($emailmessage)) . "</td></tr></table>";
                $message.="</td><td width=\"39px\" background=\"$linkimage/tableright.gif\" >&nbsp;</td></tr><tr><td width=\"39px\" height=\"39px\" background=\"$linkimage/lb.gif\" >&nbsp;</td>"
                ."<td height=\"39px\" background=\"$linkimage/tablebottom.gif\" >&nbsp;</td><td width=\"39px\" height=\"39px\" background=\"$linkimage/rb.gif\" >&nbsp;</td></tr></table>"        
                ."</td></tr></table></center></body></html>\r\n\r\n"							
		."--$bound_text--\r\n\r\n";
	return mail($mailto,$subject,wordwrap($message,70),$headers);
        
}

function createcaptcha() {
	
	$chars=array('a','b','c','d','e','f','h','i','j','k','m','n','p','r','s','u','w','y','3','5','6','8');
	$rand_keys=array_rand($chars,5);$code=$chars[$rand_keys[0]].$chars[$rand_keys[1]].$chars[$rand_keys[2]].$chars[$rand_keys[3]].$chars[$rand_keys[4]];
	$_SESSION['contactcaptchacode']=$code;
	$im=imagecreate(178,42);
	$white=imagecolorallocate($im,255,255,255);$black=imagecolorallocate($im,0,0,0);$grey=imagecolorallocate($im,128,128,128);
	imagefilledrectangle($im,0,0,178,42,$white);	
	for ($c=0;$c<5;$c++) {
		$xpos=10+$c*35;
		$fontangle=rand(-20,20);
		imagettftext($im,36,$fontangle,$xpos+4,28,$grey,'shopfonts/filetype.ttf',substr($code,$c,1));
		imagettftext($im,36,$fontangle,$xpos,24,$black,'shopfonts/filetype.ttf',substr($code,$c,1));
	}	
	imageline($im,0,10,178,10,$grey);imageline($im,0,20,178,20,$black);imageline($im,0,30,178,30,$grey);
	header("Content-type: image/png");
	imagepng($im);
	imagedestroy($im);
	
}

?>

